/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 19 "basicParse.y"


#ifdef __cplusplus
	extern "C" {
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "../ByteCodes.h"
#include "../CompileErrors.h"

#define SYMTABLESIZE 2000
#define IFTABLESIZE 1000

extern int yylex();
extern char *yytext;
int yyerror(const char *);
int errorcode;
extern int column;
extern int linenumber;

char *byteCode = NULL;
unsigned int byteOffset = 0;
unsigned int lastLineOffset = 0; // store the byte offset for the end of the last line - use in loops
unsigned int oldByteOffset = 0;
unsigned int listlen = 0;

int functionDefSymbol = -1;	// if in a function definition (what is the symbol number) -1 = not in fundef
int subroutineDefSymbol = -1;	// if in a subroutine definition (what is the symbol number) -1 = not in fundef

struct label
{
	char *name;
	int offset;
};

char *EMPTYSTR = "";
char *symtable[SYMTABLESIZE];
int labeltable[SYMTABLESIZE];
int numsyms = 0;
int numlabels = 0;
unsigned int maxbyteoffset = 0;

// array to hold stack of if statement branch locations
// that need to have final jump location added to them
// the iftable is also used by for, subroutine, and function to insure
// that no if,do,while,... is nested incorrectly
unsigned int iftable[IFTABLESIZE];
unsigned int iftablesourceline[IFTABLESIZE];
unsigned int iftabletype[IFTABLESIZE];
int numifs = 0;

#define IFTABLETYPEIF 1
#define IFTABLETYPEELSE 2
#define IFTABLETYPEDO 3
#define IFTABLETYPEWHILE 4
#define IFTABLETYPEFOR 5
#define IFTABLETYPEFUNCTION 6


// store the function variables here during a function definition
unsigned int args[100];
unsigned int argstype[100];
int numargs = 0;

#define ARGSTYPEINT 0
#define ARGSTYPESTR 1

int
basicParse(char *);

void
clearIfTable() {
	int j;
	for (j = 0; j < IFTABLESIZE; j++) {
		iftable[j] = -1;
		iftablesourceline[j] = -1;
		iftabletype[j] = -1;
	}
	numifs = 0;
}

int testIfOnTable() {
	// return line number if there is an unfinished while.do.if.else
	// or send back -1
	if (numifs >=1 ) {
		return iftablesourceline[numifs-1];
	}	
	return -1;
}

int testIfOnTableError() {
	// return Error number if there is an unfinished while.do.if.else
	// or send back 0
	if (numifs >=1 ) {
		if (iftabletype[numifs-1]==IFTABLETYPEIF) return COMPERR_IFNOEND;
		if (iftabletype[numifs-1]==IFTABLETYPEELSE) return COMPERR_ELSENOEND;
		if (iftabletype[numifs-1]==IFTABLETYPEDO) return COMPERR_DONOEND;
		if (iftabletype[numifs-1]==IFTABLETYPEWHILE) return COMPERR_WHILENOEND;
		if (iftabletype[numifs-1]==IFTABLETYPEFOR) return COMPERR_FORNOEND;
		if (iftabletype[numifs-1]==IFTABLETYPEFUNCTION) return COMPERR_FUNCTIONNOEND;
	}	
	return 0;
}

void
clearLabelTable() {
	int j;
	for (j = 0; j < SYMTABLESIZE; j++) {
		labeltable[j] = -1;
	}
	numlabels = 0;
}

void
clearSymbolTable() {
	int j;
	if (numsyms == 0) {
		for (j = 0; j < SYMTABLESIZE; j++) {
			symtable[j] = 0;
		}
	}
	for (j = 0; j < numsyms; j++) {
		if (symtable[j]) {
			free(symtable[j]);
		}
		symtable[j] = 0;
	}
	numsyms = 0;
}

int
getSymbol(char *name) {
	int i;
	for (i = 0; i < numsyms; i++) {
		if (symtable[i] && !strcmp(name, symtable[i]))
			return i;
	}
	return -1;
}

int
newIf(int offset, int sourceline, int type) {
	iftable[numifs] = offset;
	iftablesourceline[numifs] = sourceline;
	iftabletype[numifs] = type;
	numifs++;
	return numifs - 1;
}

int
newSymbol(char *name) {
	symtable[numsyms] = name;
	numsyms++;
	return numsyms - 1;
}

int
newByteCode(unsigned int size) {
	if (byteCode) {
		free(byteCode);
	}
	maxbyteoffset = 1024;
	byteCode = malloc(maxbyteoffset);

	if (byteCode) {
		memset(byteCode, 0, maxbyteoffset);
		byteOffset = 0;
		return 0;
	}
	return -1;
}

void
checkByteMem(unsigned int addedbytes) {
	if (byteOffset + addedbytes + 1 >= maxbyteoffset) {
		maxbyteoffset += maxbyteoffset + addedbytes + 32;
		byteCode = realloc(byteCode, maxbyteoffset);
		memset(byteCode + byteOffset, 0, maxbyteoffset - byteOffset);
	}
}

void
addOp(char op) {
	checkByteMem(sizeof(char));
	byteCode[byteOffset] = op;
	byteOffset++;
}

void
addExtendedOp(char extop) {
	// ad an extended op WITHOUT an argument
	addOp(OP_EXTENDEDNONE);
	addOp(extop);
}

unsigned int
addInt(int data) {
	// add an integer to the bytecode at the current location
	// return starting location of the integer - so we can write to it later
	int *temp;
	unsigned int holdOffset = byteOffset;
	checkByteMem(sizeof(int));
	temp = (int *) (byteCode + byteOffset);
	*temp = data;
	byteOffset += sizeof(int);
	return holdOffset;
}

void
addString(char *data) {
	int len = strlen(data) + 1;
	checkByteMem(len+1);
	strncpy((char *) byteCode + byteOffset, data, len);
	byteOffset += len;
}

void
addIntOp(char op, int data) {
	int *temp = NULL;
	checkByteMem(sizeof(char) + sizeof(int));
	byteCode[byteOffset] = op;
	byteOffset++;

	temp = (int *) (byteCode + byteOffset);
	*temp = data;
	byteOffset += sizeof(int);
}

void
addInt2Op(char op, int data1, int data2) {
	int *temp = NULL;
	checkByteMem(sizeof(char) + 2 * sizeof(int));
	byteCode[byteOffset] = op;
	byteOffset++;

	temp = (int *) (byteCode + byteOffset);
	temp[0] = data1;
	temp[1] = data2;
	byteOffset += 2 * sizeof(int);
}

void
addFloatOp(char op, double data) {
	double *temp = NULL;
	checkByteMem(sizeof(char) + sizeof(double));
	byteCode[byteOffset] = op;
	byteOffset++;

	temp = (double *) (byteCode + byteOffset);
	*temp = data;
	byteOffset += sizeof(double);
}

void
addStringOp(char op, char *data) {
	addOp(op);
	addString(data);
}


#ifdef __cplusplus
}
#endif



/* Line 268 of yacc.c  */
#line 340 "basicParse.tab.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     B256PRINT = 258,
     B256INPUT = 259,
     B256KEY = 260,
     B256PIXEL = 261,
     B256RGB = 262,
     B256PLOT = 263,
     B256CIRCLE = 264,
     B256RECT = 265,
     B256POLY = 266,
     B256STAMP = 267,
     B256LINE = 268,
     B256FASTGRAPHICS = 269,
     B256GRAPHSIZE = 270,
     B256REFRESH = 271,
     B256CLS = 272,
     B256CLG = 273,
     B256IF = 274,
     B256THEN = 275,
     B256ELSE = 276,
     B256ENDIF = 277,
     B256WHILE = 278,
     B256ENDWHILE = 279,
     B256DO = 280,
     B256UNTIL = 281,
     B256FOR = 282,
     B256TO = 283,
     B256STEP = 284,
     B256NEXT = 285,
     B256OPEN = 286,
     B256READ = 287,
     B256WRITE = 288,
     B256CLOSE = 289,
     B256RESET = 290,
     B256GOTO = 291,
     B256GOSUB = 292,
     B256RETURN = 293,
     B256REM = 294,
     B256END = 295,
     B256SETCOLOR = 296,
     B256GTE = 297,
     B256LTE = 298,
     B256NE = 299,
     B256DIM = 300,
     B256REDIM = 301,
     B256NOP = 302,
     B256TOINT = 303,
     B256TOSTRING = 304,
     B256LENGTH = 305,
     B256MID = 306,
     B256LEFT = 307,
     B256RIGHT = 308,
     B256UPPER = 309,
     B256LOWER = 310,
     B256INSTR = 311,
     B256INSTRX = 312,
     B256CEIL = 313,
     B256FLOOR = 314,
     B256RAND = 315,
     B256SIN = 316,
     B256COS = 317,
     B256TAN = 318,
     B256ASIN = 319,
     B256ACOS = 320,
     B256ATAN = 321,
     B256ABS = 322,
     B256PI = 323,
     B256DEGREES = 324,
     B256RADIANS = 325,
     B256LOG = 326,
     B256LOGTEN = 327,
     B256SQR = 328,
     B256EXP = 329,
     B256AND = 330,
     B256OR = 331,
     B256XOR = 332,
     B256NOT = 333,
     B256PAUSE = 334,
     B256SOUND = 335,
     B256ASC = 336,
     B256CHR = 337,
     B256TOFLOAT = 338,
     B256READLINE = 339,
     B256WRITELINE = 340,
     B256BOOLEOF = 341,
     B256MOD = 342,
     B256INTDIV = 343,
     B256YEAR = 344,
     B256MONTH = 345,
     B256DAY = 346,
     B256HOUR = 347,
     B256MINUTE = 348,
     B256SECOND = 349,
     B256TEXT = 350,
     B256FONT = 351,
     B256TEXTWIDTH = 352,
     B256SAY = 353,
     B256SYSTEM = 354,
     B256VOLUME = 355,
     B256GRAPHWIDTH = 356,
     B256GRAPHHEIGHT = 357,
     B256GETSLICE = 358,
     B256PUTSLICE = 359,
     B256IMGLOAD = 360,
     B256SPRITEDIM = 361,
     B256SPRITELOAD = 362,
     B256SPRITESLICE = 363,
     B256SPRITEMOVE = 364,
     B256SPRITEHIDE = 365,
     B256SPRITESHOW = 366,
     B256SPRITEPLACE = 367,
     B256SPRITECOLLIDE = 368,
     B256SPRITEX = 369,
     B256SPRITEY = 370,
     B256SPRITEH = 371,
     B256SPRITEW = 372,
     B256SPRITEV = 373,
     B256WAVPLAY = 374,
     B256WAVSTOP = 375,
     B256WAVWAIT = 376,
     B256SIZE = 377,
     B256SEEK = 378,
     B256EXISTS = 379,
     B256BOOLTRUE = 380,
     B256BOOLFALSE = 381,
     B256MOUSEX = 382,
     B256MOUSEY = 383,
     B256MOUSEB = 384,
     B256CLICKCLEAR = 385,
     B256CLICKX = 386,
     B256CLICKY = 387,
     B256CLICKB = 388,
     B256GETCOLOR = 389,
     B256CLEAR = 390,
     B256BLACK = 391,
     B256WHITE = 392,
     B256RED = 393,
     B256DARKRED = 394,
     B256GREEN = 395,
     B256DARKGREEN = 396,
     B256BLUE = 397,
     B256DARKBLUE = 398,
     B256CYAN = 399,
     B256DARKCYAN = 400,
     B256PURPLE = 401,
     B256DARKPURPLE = 402,
     B256YELLOW = 403,
     B256DARKYELLOW = 404,
     B256ORANGE = 405,
     B256DARKORANGE = 406,
     B256GREY = 407,
     B256DARKGREY = 408,
     B256CHANGEDIR = 409,
     B256CURRENTDIR = 410,
     B256DIR = 411,
     B256DECIMAL = 412,
     B256DBOPEN = 413,
     B256DBCLOSE = 414,
     B256DBEXECUTE = 415,
     B256DBOPENSET = 416,
     B256DBCLOSESET = 417,
     B256DBROW = 418,
     B256DBINT = 419,
     B256DBFLOAT = 420,
     B256DBSTRING = 421,
     B256ONERROR = 422,
     B256OFFERROR = 423,
     B256LASTERROR = 424,
     B256LASTERRORMESSAGE = 425,
     B256LASTERRORLINE = 426,
     B256LASTERROREXTRA = 427,
     B256NETLISTEN = 428,
     B256NETCONNECT = 429,
     B256NETREAD = 430,
     B256NETWRITE = 431,
     B256NETCLOSE = 432,
     B256NETDATA = 433,
     B256NETADDRESS = 434,
     B256KILL = 435,
     B256MD5 = 436,
     B256SETSETTING = 437,
     B256GETSETTING = 438,
     B256PORTIN = 439,
     B256PORTOUT = 440,
     B256BINARYOR = 441,
     B256BINARYAND = 442,
     B256BINARYNOT = 443,
     B256IMGSAVE = 444,
     B256REPLACE = 445,
     B256COUNT = 446,
     B256EXPLODE = 447,
     B256REPLACEX = 448,
     B256COUNTX = 449,
     B256EXPLODEX = 450,
     B256IMPLODE = 451,
     B256OSTYPE = 452,
     B256MSEC = 453,
     B256EDITVISIBLE = 454,
     B256GRAPHVISIBLE = 455,
     B256OUTPUTVISIBLE = 456,
     B256EDITSIZE = 457,
     B256OUTPUTSIZE = 458,
     B256FUNCTION = 459,
     B256ENDFUNCTION = 460,
     B256THROWERROR = 461,
     B256SUBROUTINE = 462,
     B256ENDSUBROUTINE = 463,
     B256CALL = 464,
     B256GLOBAL = 465,
     B256LINENUM = 466,
     B256INTEGER = 467,
     B256FLOAT = 468,
     B256STRING = 469,
     B256VARIABLE = 470,
     B256STRINGVAR = 471,
     B256NEWVAR = 472,
     B256COLOR = 473,
     B256LABEL = 474,
     B256UMINUS = 475
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 328 "basicParse.y"

	int number;
	double floatnum;
	char *string;



/* Line 293 of yacc.c  */
#line 604 "basicParse.tab.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 616 "basicParse.tab.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  425
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   20966

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  240
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  108
/* YYNRULES -- Number of rules.  */
#define YYNRULES  535
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1288

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   475

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     229,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     230,   231,   225,   224,   232,   223,     2,   226,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   233,   236,
     220,   222,   221,   239,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   234,     2,   235,   228,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   237,     2,   238,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   227
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     6,    10,    13,    15,    17,    19,    21,
      23,    25,    27,    29,    31,    33,    35,    37,    39,    41,
      43,    44,    48,    52,    56,    59,    63,    65,    67,    71,
      73,    76,    78,    80,    83,    85,    89,    92,    94,    96,
      99,   101,   104,   106,   109,   111,   113,   116,   118,   122,
     124,   126,   128,   130,   132,   134,   136,   138,   140,   142,
     144,   146,   148,   150,   152,   154,   156,   158,   160,   162,
     164,   166,   168,   170,   172,   174,   176,   178,   180,   182,
     184,   186,   188,   190,   192,   194,   196,   198,   200,   202,
     204,   206,   208,   210,   212,   214,   216,   218,   220,   222,
     224,   226,   228,   230,   232,   234,   236,   238,   240,   242,
     244,   246,   248,   250,   252,   254,   256,   258,   260,   262,
     264,   266,   268,   270,   274,   278,   286,   294,   298,   302,
     310,   318,   321,   324,   326,   328,   330,   335,   342,   344,
     346,   349,   356,   365,   369,   378,   389,   398,   405,   414,
     418,   427,   438,   447,   451,   455,   462,   471,   474,   477,
     480,   483,   488,   494,   496,   499,   501,   508,   517,   520,
     525,   528,   531,   538,   543,   548,   555,   564,   575,   582,
     591,   600,   611,   618,   627,   634,   643,   650,   659,   662,
     665,   668,   671,   674,   679,   682,   691,   702,   711,   718,
     727,   734,   745,   758,   769,   772,   779,   784,   787,   794,
     799,   802,   809,   814,   816,   820,   823,   825,   829,   832,
     835,   842,   847,   851,   858,   862,   869,   872,   878,   886,
     889,   895,   903,   906,   908,   911,   914,   918,   922,   925,
     927,   931,   933,   937,   944,   953,   962,   973,   980,   989,
     998,  1009,  1020,  1033,  1036,  1041,  1048,  1059,  1072,  1079,
    1088,  1095,  1104,  1107,  1110,  1112,  1116,  1119,  1122,  1125,
    1127,  1131,  1134,  1137,  1139,  1143,  1146,  1153,  1158,  1163,
    1170,  1177,  1186,  1189,  1196,  1201,  1203,  1207,  1210,  1213,
    1220,  1227,  1236,  1241,  1248,  1251,  1258,  1263,  1266,  1269,
    1272,  1275,  1279,  1283,  1285,  1289,  1291,  1295,  1297,  1299,
    1303,  1307,  1311,  1315,  1319,  1323,  1327,  1331,  1335,  1339,
    1343,  1346,  1349,  1353,  1357,  1361,  1364,  1368,  1372,  1376,
    1380,  1384,  1388,  1392,  1396,  1400,  1404,  1408,  1412,  1414,
    1416,  1421,  1426,  1432,  1438,  1444,  1450,  1455,  1462,  1467,
    1471,  1473,  1478,  1483,  1488,  1493,  1498,  1503,  1510,  1519,
    1530,  1537,  1546,  1551,  1556,  1561,  1566,  1571,  1576,  1581,
    1586,  1591,  1596,  1601,  1606,  1611,  1616,  1621,  1623,  1627,
    1629,  1633,  1635,  1639,  1641,  1645,  1647,  1651,  1656,  1661,
    1663,  1667,  1669,  1673,  1675,  1679,  1681,  1685,  1687,  1691,
    1693,  1697,  1699,  1703,  1705,  1709,  1711,  1715,  1720,  1722,
    1726,  1728,  1732,  1734,  1738,  1740,  1744,  1746,  1750,  1752,
    1756,  1758,  1762,  1764,  1768,  1770,  1774,  1776,  1780,  1782,
    1786,  1788,  1792,  1794,  1798,  1800,  1804,  1806,  1810,  1812,
    1816,  1818,  1822,  1824,  1828,  1830,  1834,  1836,  1840,  1842,
    1846,  1848,  1852,  1854,  1858,  1860,  1864,  1866,  1870,  1872,
    1876,  1883,  1892,  1894,  1898,  1905,  1910,  1915,  1920,  1925,
    1930,  1934,  1939,  1944,  1946,  1950,  1952,  1956,  1958,  1962,
    1967,  1972,  1979,  1988,  1995,  1997,  2001,  2003,  2007,  2012,
    2016,  2020,  2024,  2028,  2030,  2035,  2042,  2047,  2051,  2053,
    2058,  2063,  2068,  2073,  2082,  2089,  2096,  2107,  2109,  2113,
    2118,  2120,  2124,  2129,  2131,  2135,  2140,  2142,  2146,  2148,
    2152,  2154,  2158,  2163,  2165,  2169,  2174,  2181,  2186,  2190,
    2199,  2210,  2219,  2224,  2231,  2236
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     241,     0,    -1,   242,   229,    -1,   242,   229,   241,    -1,
     243,   244,    -1,   244,    -1,   219,    -1,   253,    -1,   254,
      -1,   255,    -1,   257,    -1,   258,    -1,   260,    -1,   261,
      -1,   262,    -1,   263,    -1,   245,    -1,   250,    -1,   246,
      -1,   252,    -1,    -1,   204,   215,   247,    -1,   204,   216,
     247,    -1,   207,   215,   247,    -1,   230,   231,    -1,   230,
     248,   231,    -1,   215,    -1,   216,    -1,   248,   232,   248,
      -1,   205,    -1,    40,   204,    -1,   249,    -1,   208,    -1,
      40,   207,    -1,   251,    -1,   274,    20,   263,    -1,   274,
      20,    -1,    21,    -1,    22,    -1,    40,    19,    -1,   256,
      -1,    23,   346,    -1,    24,    -1,    40,    23,    -1,   259,
      -1,    25,    -1,    26,   346,    -1,   264,    -1,   263,   233,
     264,    -1,   281,    -1,   282,    -1,   283,    -1,   284,    -1,
     285,    -1,   286,    -1,   308,    -1,   289,    -1,   291,    -1,
     292,    -1,   298,    -1,   299,    -1,   290,    -1,   277,    -1,
     278,    -1,   279,    -1,   280,    -1,   287,    -1,   306,    -1,
     273,    -1,   269,    -1,   272,    -1,   270,    -1,   271,    -1,
     265,    -1,   266,    -1,   267,    -1,   276,    -1,   275,    -1,
     300,    -1,   301,    -1,   302,    -1,   303,    -1,   304,    -1,
     333,    -1,   288,    -1,   293,    -1,   294,    -1,   295,    -1,
     296,    -1,   297,    -1,   309,    -1,   310,    -1,   311,    -1,
     312,    -1,   313,    -1,   314,    -1,   315,    -1,   316,    -1,
     317,    -1,   318,    -1,   319,    -1,   320,    -1,   305,    -1,
     321,    -1,   322,    -1,   323,    -1,   324,    -1,   325,    -1,
     326,    -1,   327,    -1,   328,    -1,   329,    -1,   330,    -1,
     331,    -1,   332,    -1,   334,    -1,   335,    -1,   336,    -1,
     337,    -1,   338,    -1,   339,    -1,   340,    -1,   268,    -1,
      45,   215,   346,    -1,    45,   216,   346,    -1,    45,   215,
     230,   346,   232,   346,   231,    -1,    45,   216,   230,   346,
     232,   346,   231,    -1,    46,   215,   346,    -1,    46,   216,
     346,    -1,    46,   215,   230,   346,   232,   346,   231,    -1,
      46,   216,   230,   346,   232,   346,   231,    -1,    79,   346,
      -1,   206,   346,    -1,    17,    -1,    18,    -1,    14,    -1,
      15,   346,   232,   346,    -1,    15,   230,   346,   232,   346,
     231,    -1,    16,    -1,    40,    -1,    19,   346,    -1,   216,
     234,   346,   235,   222,   347,    -1,   216,   234,   346,   232,
     346,   235,   222,   347,    -1,   216,   222,   341,    -1,   216,
     222,   192,   230,   347,   232,   347,   231,    -1,   216,   222,
     192,   230,   347,   232,   347,   232,   346,   231,    -1,   216,
     222,   195,   230,   347,   232,   347,   231,    -1,   215,   234,
     346,   235,   222,   346,    -1,   215,   234,   346,   232,   346,
     235,   222,   346,    -1,   215,   222,   342,    -1,   215,   222,
     192,   230,   347,   232,   347,   231,    -1,   215,   222,   192,
     230,   347,   232,   347,   232,   346,   231,    -1,   215,   222,
     195,   230,   347,   232,   347,   231,    -1,   215,   222,   346,
      -1,   216,   222,   347,    -1,    27,   215,   222,   346,    28,
     346,    -1,    27,   215,   222,   346,    28,   346,    29,   346,
      -1,    30,   215,    -1,    36,   215,    -1,    37,   215,    -1,
     209,   215,    -1,   209,   215,   230,   231,    -1,   209,   215,
     230,   345,   231,    -1,   168,    -1,   167,   215,    -1,    38,
      -1,    41,   346,   232,   346,   232,   346,    -1,    41,   230,
     346,   232,   346,   232,   346,   231,    -1,    41,   346,    -1,
      80,   230,   215,   231,    -1,    80,   215,    -1,    80,   342,
      -1,    80,   230,   346,   232,   346,   231,    -1,    80,   346,
     232,   346,    -1,     8,   346,   232,   346,    -1,     8,   230,
     346,   232,   346,   231,    -1,    13,   346,   232,   346,   232,
     346,   232,   346,    -1,    13,   230,   346,   232,   346,   232,
     346,   232,   346,   231,    -1,     9,   346,   232,   346,   232,
     346,    -1,     9,   230,   346,   232,   346,   232,   346,   231,
      -1,    10,   346,   232,   346,   232,   346,   232,   346,    -1,
      10,   230,   346,   232,   346,   232,   346,   232,   346,   231,
      -1,    95,   346,   232,   346,   232,   347,    -1,    95,   230,
     346,   232,   346,   232,   347,   231,    -1,    95,   346,   232,
     346,   232,   346,    -1,    95,   230,   346,   232,   346,   232,
     346,   231,    -1,    96,   347,   232,   346,   232,   346,    -1,
      96,   230,   347,   232,   346,   232,   346,   231,    -1,    98,
     347,    -1,    98,   346,    -1,    99,   347,    -1,   100,   346,
      -1,    11,   215,    -1,    11,   230,   215,   231,    -1,    11,
     342,    -1,    12,   346,   232,   346,   232,   346,   232,   215,
      -1,    12,   230,   346,   232,   346,   232,   346,   232,   215,
     231,    -1,    12,   346,   232,   346,   232,   346,   232,   342,
      -1,    12,   346,   232,   346,   232,   215,    -1,    12,   230,
     346,   232,   346,   232,   215,   231,    -1,    12,   346,   232,
     346,   232,   342,    -1,    12,   346,   232,   346,   232,   346,
     232,   346,   232,   215,    -1,    12,   230,   346,   232,   346,
     232,   346,   232,   346,   232,   215,   231,    -1,    12,   346,
     232,   346,   232,   346,   232,   346,   232,   342,    -1,    31,
     347,    -1,    31,   230,   346,   232,   347,   231,    -1,    31,
     346,   232,   347,    -1,    33,   347,    -1,    33,   230,   346,
     232,   347,   231,    -1,    33,   346,   232,   347,    -1,    85,
     347,    -1,    85,   230,   346,   232,   347,   231,    -1,    85,
     346,   232,   347,    -1,    34,    -1,    34,   230,   231,    -1,
      34,   346,    -1,    35,    -1,    35,   230,   231,    -1,    35,
     346,    -1,   123,   346,    -1,   123,   230,   346,   232,   346,
     231,    -1,   123,   346,   232,   346,    -1,   307,   232,   216,
      -1,   307,   232,   216,   234,   346,   235,    -1,   307,   232,
     215,    -1,   307,   232,   215,   234,   346,   235,    -1,     4,
     216,    -1,     4,   216,   234,   346,   235,    -1,     4,   216,
     234,   346,   232,   346,   235,    -1,     4,   215,    -1,     4,
     215,   234,   346,   235,    -1,     4,   215,   234,   346,   232,
     346,   235,    -1,     4,   347,    -1,     3,    -1,     3,   347,
      -1,     3,   346,    -1,     3,   347,   236,    -1,     3,   346,
     236,    -1,   119,   347,    -1,   120,    -1,   120,   230,   231,
      -1,   121,    -1,   121,   230,   231,    -1,   104,   346,   232,
     346,   232,   347,    -1,   104,   230,   346,   232,   346,   232,
     347,   231,    -1,   104,   346,   232,   346,   232,   347,   232,
     346,    -1,   104,   230,   346,   232,   346,   232,   347,   232,
     346,   231,    -1,   105,   346,   232,   346,   232,   347,    -1,
     105,   230,   346,   232,   346,   232,   347,   231,    -1,   105,
     346,   232,   346,   232,   346,   232,   347,    -1,   105,   230,
     346,   232,   346,   232,   346,   232,   347,   231,    -1,   105,
     346,   232,   346,   232,   346,   232,   346,   232,   347,    -1,
     105,   230,   346,   232,   346,   232,   346,   232,   346,   232,
     347,   231,    -1,   106,   346,    -1,   107,   346,   232,   347,
      -1,   107,   230,   346,   232,   347,   231,    -1,   108,   346,
     232,   346,   232,   346,   232,   346,   232,   346,    -1,   108,
     230,   346,   232,   346,   232,   346,   232,   346,   232,   346,
     231,    -1,   112,   346,   232,   346,   232,   346,    -1,   112,
     230,   346,   232,   346,   232,   346,   231,    -1,   109,   346,
     232,   346,   232,   346,    -1,   107,   230,   346,   232,   346,
     232,   346,   231,    -1,   110,   346,    -1,   111,   346,    -1,
     130,    -1,   130,   230,   231,    -1,   154,   347,    -1,   157,
     346,    -1,   158,   347,    -1,   159,    -1,   159,   230,   231,
      -1,   160,   347,    -1,   161,   347,    -1,   162,    -1,   162,
     230,   231,    -1,   173,   346,    -1,   173,   230,   346,   232,
     346,   231,    -1,   173,   346,   232,   346,    -1,   174,   347,
     232,   346,    -1,   174,   230,   347,   232,   346,   231,    -1,
     174,   346,   232,   347,   232,   346,    -1,   174,   230,   346,
     232,   347,   232,   346,   231,    -1,   176,   347,    -1,   176,
     230,   346,   232,   347,   231,    -1,   176,   346,   232,   347,
      -1,   177,    -1,   177,   230,   231,    -1,   177,   346,    -1,
     180,   347,    -1,   180,   230,   346,   232,   347,   231,    -1,
     182,   347,   232,   347,   232,   347,    -1,   182,   230,   347,
     232,   347,   232,   347,   231,    -1,   185,   346,   232,   346,
      -1,   185,   230,   346,   232,   346,   231,    -1,   189,   347,
      -1,   189,   230,   347,   232,   347,   231,    -1,   189,   347,
     232,   347,    -1,   199,   346,    -1,   200,   346,    -1,   201,
     346,    -1,   210,   248,    -1,   237,   344,   238,    -1,   237,
     343,   238,    -1,   346,    -1,   346,   232,   343,    -1,   347,
      -1,   347,   232,   344,    -1,   346,    -1,   347,    -1,   345,
     232,   345,    -1,   230,   346,   231,    -1,   346,   224,   346,
      -1,   346,   223,   346,    -1,   346,   225,   346,    -1,   346,
      87,   346,    -1,   346,    88,   346,    -1,   346,   226,   346,
      -1,   346,   228,   346,    -1,   346,   186,   346,    -1,   346,
     187,   346,    -1,   188,   346,    -1,   223,   346,    -1,   346,
      75,   346,    -1,   346,    76,   346,    -1,   346,    77,   346,
      -1,    78,   346,    -1,   347,   222,   347,    -1,   347,    44,
     347,    -1,   347,   220,   347,    -1,   347,   221,   347,    -1,
     347,    42,   347,    -1,   347,    43,   347,    -1,   346,   222,
     346,    -1,   346,    44,   346,    -1,   346,   220,   346,    -1,
     346,   221,   346,    -1,   346,    42,   346,    -1,   346,    43,
     346,    -1,   213,    -1,   212,    -1,   215,   234,   239,   235,
      -1,   216,   234,   239,   235,    -1,   215,   234,   239,   232,
     235,    -1,   216,   234,   239,   232,   235,    -1,   215,   234,
     232,   239,   235,    -1,   216,   234,   232,   239,   235,    -1,
     215,   234,   346,   235,    -1,   215,   234,   346,   232,   346,
     235,    -1,   215,   230,   345,   231,    -1,   215,   230,   231,
      -1,   215,    -1,    48,   230,   346,   231,    -1,    48,   230,
     347,   231,    -1,    83,   230,   346,   231,    -1,    83,   230,
     347,   231,    -1,    50,   230,   347,   231,    -1,    81,   230,
     347,   231,    -1,    56,   230,   347,   232,   347,   231,    -1,
      56,   230,   347,   232,   347,   232,   346,   231,    -1,    56,
     230,   347,   232,   347,   232,   346,   232,   346,   231,    -1,
      57,   230,   347,   232,   347,   231,    -1,    57,   230,   347,
     232,   347,   232,   346,   231,    -1,    58,   230,   346,   231,
      -1,    59,   230,   346,   231,    -1,    61,   230,   346,   231,
      -1,    62,   230,   346,   231,    -1,    63,   230,   346,   231,
      -1,    64,   230,   346,   231,    -1,    65,   230,   346,   231,
      -1,    66,   230,   346,   231,    -1,    69,   230,   346,   231,
      -1,    70,   230,   346,   231,    -1,    71,   230,   346,   231,
      -1,    72,   230,   346,   231,    -1,    73,   230,   346,   231,
      -1,    74,   230,   346,   231,    -1,    67,   230,   346,   231,
      -1,    60,    -1,    60,   230,   231,    -1,    68,    -1,    68,
     230,   231,    -1,   125,    -1,   125,   230,   231,    -1,   126,
      -1,   126,   230,   231,    -1,    86,    -1,    86,   230,   231,
      -1,    86,   230,   346,   231,    -1,   124,   230,   347,   231,
      -1,    89,    -1,    89,   230,   231,    -1,    90,    -1,    90,
     230,   231,    -1,    91,    -1,    91,   230,   231,    -1,    92,
      -1,    92,   230,   231,    -1,    93,    -1,    93,   230,   231,
      -1,    94,    -1,    94,   230,   231,    -1,   101,    -1,   101,
     230,   231,    -1,   102,    -1,   102,   230,   231,    -1,   122,
      -1,   122,   230,   231,    -1,   122,   230,   346,   231,    -1,
       5,    -1,     5,   230,   231,    -1,   127,    -1,   127,   230,
     231,    -1,   128,    -1,   128,   230,   231,    -1,   129,    -1,
     129,   230,   231,    -1,   131,    -1,   131,   230,   231,    -1,
     132,    -1,   132,   230,   231,    -1,   133,    -1,   133,   230,
     231,    -1,   135,    -1,   135,   230,   231,    -1,   136,    -1,
     136,   230,   231,    -1,   137,    -1,   137,   230,   231,    -1,
     138,    -1,   138,   230,   231,    -1,   139,    -1,   139,   230,
     231,    -1,   140,    -1,   140,   230,   231,    -1,   141,    -1,
     141,   230,   231,    -1,   142,    -1,   142,   230,   231,    -1,
     143,    -1,   143,   230,   231,    -1,   144,    -1,   144,   230,
     231,    -1,   145,    -1,   145,   230,   231,    -1,   146,    -1,
     146,   230,   231,    -1,   147,    -1,   147,   230,   231,    -1,
     148,    -1,   148,   230,   231,    -1,   149,    -1,   149,   230,
     231,    -1,   150,    -1,   150,   230,   231,    -1,   151,    -1,
     151,   230,   231,    -1,   152,    -1,   152,   230,   231,    -1,
     153,    -1,   153,   230,   231,    -1,     6,   230,   346,   232,
     346,   231,    -1,     7,   230,   346,   232,   346,   232,   346,
     231,    -1,   134,    -1,   134,   230,   231,    -1,   113,   230,
     346,   232,   346,   231,    -1,   114,   230,   346,   231,    -1,
     115,   230,   346,   231,    -1,   116,   230,   346,   231,    -1,
     117,   230,   346,   231,    -1,   118,   230,   346,   231,    -1,
     163,   230,   231,    -1,   164,   230,   346,   231,    -1,   165,
     230,   346,   231,    -1,   169,    -1,   169,   230,   231,    -1,
     171,    -1,   171,   230,   231,    -1,   178,    -1,   178,   230,
     231,    -1,   178,   230,   346,   231,    -1,   184,   230,   346,
     231,    -1,   191,   230,   347,   232,   347,   231,    -1,   191,
     230,   347,   232,   347,   232,   346,   231,    -1,   194,   230,
     347,   232,   347,   231,    -1,   197,    -1,   197,   230,   231,
      -1,   198,    -1,   198,   230,   231,    -1,    97,   230,   347,
     231,    -1,   230,   347,   231,    -1,   347,   224,   347,    -1,
     346,   224,   347,    -1,   347,   224,   346,    -1,   214,    -1,
     216,   234,   346,   235,    -1,   216,   234,   346,   232,   346,
     235,    -1,   216,   230,   345,   231,    -1,   216,   230,   231,
      -1,   216,    -1,    82,   230,   346,   231,    -1,    49,   230,
     346,   231,    -1,    54,   230,   347,   231,    -1,    55,   230,
     347,   231,    -1,    51,   230,   347,   232,   346,   232,   346,
     231,    -1,    52,   230,   347,   232,   346,   231,    -1,    53,
     230,   347,   232,   346,   231,    -1,   103,   230,   346,   232,
     346,   232,   346,   232,   346,   231,    -1,    32,    -1,    32,
     230,   231,    -1,    32,   230,   346,   231,    -1,    84,    -1,
      84,   230,   231,    -1,    84,   230,   346,   231,    -1,   155,
      -1,   155,   230,   231,    -1,   166,   230,   346,   231,    -1,
     170,    -1,   170,   230,   231,    -1,   172,    -1,   172,   230,
     231,    -1,   175,    -1,   175,   230,   231,    -1,   175,   230,
     346,   231,    -1,   179,    -1,   179,   230,   231,    -1,   181,
     230,   347,   231,    -1,   183,   230,   347,   232,   347,   231,
      -1,   156,   230,   347,   231,    -1,   156,   230,   231,    -1,
     190,   230,   347,   232,   347,   232,   347,   231,    -1,   190,
     230,   347,   232,   347,   232,   347,   232,   346,   231,    -1,
     193,   230,   347,   232,   347,   232,   347,   231,    -1,   196,
     230,   216,   231,    -1,   196,   230,   216,   232,   347,   231,
      -1,   196,   230,   215,   231,    -1,   196,   230,   215,   232,
     347,   231,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   360,   360,   361,   364,   365,   368,   371,   372,   373,
     374,   375,   381,   382,   388,   389,   390,   391,   392,   393,
     395,   398,   429,   460,   489,   489,   493,   497,   501,   505,
     505,   508,   528,   528,   530,   549,   563,   569,   597,   598,
     600,   623,   635,   636,   638,   664,   670,   689,   689,   692,
     693,   694,   695,   696,   697,   698,   699,   700,   701,   702,
     703,   704,   705,   706,   707,   708,   709,   710,   711,   712,
     713,   714,   715,   716,   717,   718,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   768,   769,   770,   771,   774,   775,   776,
     777,   780,   783,   786,   787,   790,   793,   794,   797,   800,
     803,   816,   817,   818,   819,   820,   821,   824,   825,   826,
     827,   828,   829,   833,   836,   839,   848,   858,   876,   879,
     882,   883,   884,   887,   890,   893,   907,   908,   909,   912,
     913,   914,   915,   916,   919,   920,   923,   924,   928,   929,
     932,   933,   936,   937,   938,   939,   942,   943,   946,   947,
     950,   953,   956,   957,   958,   961,   962,   963,   964,   965,
     966,   967,   968,   969,   972,   973,   974,   977,   978,   979,
     982,   983,   984,   987,   988,   989,   992,   993,   994,   997,
     998,   999,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1014,  1017,  1018,  1019,  1020,  1021,  1024,  1027,
    1028,  1031,  1032,  1035,  1036,  1037,  1038,  1040,  1041,  1042,
    1043,  1044,  1045,  1048,  1051,  1052,  1055,  1056,  1059,  1060,
    1063,  1064,  1067,  1070,  1073,  1074,  1077,  1080,  1083,  1086,
    1087,  1090,  1093,  1096,  1097,  1100,  1101,  1102,  1105,  1106,
    1107,  1108,  1111,  1112,  1113,  1116,  1117,  1118,  1121,  1122,
    1125,  1126,  1129,  1130,  1133,  1134,  1135,  1138,  1141,  1144,
    1147,  1163,  1166,  1169,  1170,  1173,  1174,  1177,  1178,  1179,
    1183,  1184,  1185,  1186,  1187,  1188,  1189,  1190,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
    1203,  1204,  1205,  1206,  1207,  1208,  1209,  1210,  1211,  1212,
    1213,  1214,  1215,  1216,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,  1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,  1245,  1246,  1247,  1248,  1249,
    1250,  1251,  1252,  1253,  1254,  1255,  1256,  1257,  1258,  1259,
    1260,  1261,  1262,  1263,  1264,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,  1291,  1292,  1293,  1294,  1295,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,  1311,  1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,
    1320,  1321,  1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,
    1330,  1331,  1332,  1333,  1334,  1335,  1336,  1337,  1338,  1339,
    1340,  1341,  1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,
    1350,  1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,
    1360,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1368,  1373,
    1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,  1382,  1390,
    1391,  1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,  1400,
    1401,  1402,  1403,  1404,  1405,  1406,  1407,  1408,  1409,  1410,
    1411,  1412,  1413,  1414,  1415,  1416,  1417,  1418,  1419,  1420,
    1421,  1422,  1423,  1424,  1425,  1426
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "B256PRINT", "B256INPUT", "B256KEY",
  "B256PIXEL", "B256RGB", "B256PLOT", "B256CIRCLE", "B256RECT", "B256POLY",
  "B256STAMP", "B256LINE", "B256FASTGRAPHICS", "B256GRAPHSIZE",
  "B256REFRESH", "B256CLS", "B256CLG", "B256IF", "B256THEN", "B256ELSE",
  "B256ENDIF", "B256WHILE", "B256ENDWHILE", "B256DO", "B256UNTIL",
  "B256FOR", "B256TO", "B256STEP", "B256NEXT", "B256OPEN", "B256READ",
  "B256WRITE", "B256CLOSE", "B256RESET", "B256GOTO", "B256GOSUB",
  "B256RETURN", "B256REM", "B256END", "B256SETCOLOR", "B256GTE", "B256LTE",
  "B256NE", "B256DIM", "B256REDIM", "B256NOP", "B256TOINT", "B256TOSTRING",
  "B256LENGTH", "B256MID", "B256LEFT", "B256RIGHT", "B256UPPER",
  "B256LOWER", "B256INSTR", "B256INSTRX", "B256CEIL", "B256FLOOR",
  "B256RAND", "B256SIN", "B256COS", "B256TAN", "B256ASIN", "B256ACOS",
  "B256ATAN", "B256ABS", "B256PI", "B256DEGREES", "B256RADIANS", "B256LOG",
  "B256LOGTEN", "B256SQR", "B256EXP", "B256AND", "B256OR", "B256XOR",
  "B256NOT", "B256PAUSE", "B256SOUND", "B256ASC", "B256CHR", "B256TOFLOAT",
  "B256READLINE", "B256WRITELINE", "B256BOOLEOF", "B256MOD", "B256INTDIV",
  "B256YEAR", "B256MONTH", "B256DAY", "B256HOUR", "B256MINUTE",
  "B256SECOND", "B256TEXT", "B256FONT", "B256TEXTWIDTH", "B256SAY",
  "B256SYSTEM", "B256VOLUME", "B256GRAPHWIDTH", "B256GRAPHHEIGHT",
  "B256GETSLICE", "B256PUTSLICE", "B256IMGLOAD", "B256SPRITEDIM",
  "B256SPRITELOAD", "B256SPRITESLICE", "B256SPRITEMOVE", "B256SPRITEHIDE",
  "B256SPRITESHOW", "B256SPRITEPLACE", "B256SPRITECOLLIDE", "B256SPRITEX",
  "B256SPRITEY", "B256SPRITEH", "B256SPRITEW", "B256SPRITEV",
  "B256WAVPLAY", "B256WAVSTOP", "B256WAVWAIT", "B256SIZE", "B256SEEK",
  "B256EXISTS", "B256BOOLTRUE", "B256BOOLFALSE", "B256MOUSEX",
  "B256MOUSEY", "B256MOUSEB", "B256CLICKCLEAR", "B256CLICKX", "B256CLICKY",
  "B256CLICKB", "B256GETCOLOR", "B256CLEAR", "B256BLACK", "B256WHITE",
  "B256RED", "B256DARKRED", "B256GREEN", "B256DARKGREEN", "B256BLUE",
  "B256DARKBLUE", "B256CYAN", "B256DARKCYAN", "B256PURPLE",
  "B256DARKPURPLE", "B256YELLOW", "B256DARKYELLOW", "B256ORANGE",
  "B256DARKORANGE", "B256GREY", "B256DARKGREY", "B256CHANGEDIR",
  "B256CURRENTDIR", "B256DIR", "B256DECIMAL", "B256DBOPEN", "B256DBCLOSE",
  "B256DBEXECUTE", "B256DBOPENSET", "B256DBCLOSESET", "B256DBROW",
  "B256DBINT", "B256DBFLOAT", "B256DBSTRING", "B256ONERROR",
  "B256OFFERROR", "B256LASTERROR", "B256LASTERRORMESSAGE",
  "B256LASTERRORLINE", "B256LASTERROREXTRA", "B256NETLISTEN",
  "B256NETCONNECT", "B256NETREAD", "B256NETWRITE", "B256NETCLOSE",
  "B256NETDATA", "B256NETADDRESS", "B256KILL", "B256MD5", "B256SETSETTING",
  "B256GETSETTING", "B256PORTIN", "B256PORTOUT", "B256BINARYOR",
  "B256BINARYAND", "B256BINARYNOT", "B256IMGSAVE", "B256REPLACE",
  "B256COUNT", "B256EXPLODE", "B256REPLACEX", "B256COUNTX", "B256EXPLODEX",
  "B256IMPLODE", "B256OSTYPE", "B256MSEC", "B256EDITVISIBLE",
  "B256GRAPHVISIBLE", "B256OUTPUTVISIBLE", "B256EDITSIZE",
  "B256OUTPUTSIZE", "B256FUNCTION", "B256ENDFUNCTION", "B256THROWERROR",
  "B256SUBROUTINE", "B256ENDSUBROUTINE", "B256CALL", "B256GLOBAL",
  "B256LINENUM", "B256INTEGER", "B256FLOAT", "B256STRING", "B256VARIABLE",
  "B256STRINGVAR", "B256NEWVAR", "B256COLOR", "B256LABEL", "'<'", "'>'",
  "'='", "'-'", "'+'", "'*'", "'/'", "B256UMINUS", "'^'", "'\\n'", "'('",
  "')'", "','", "':'", "'['", "']'", "';'", "'{'", "'}'", "'?'", "$accept",
  "program", "validline", "label", "validstatement", "functionstmt",
  "subroutinestmt", "functionvariablelist", "functionvariables",
  "endfunctionexpr", "endfunctionstmt", "endsubroutineexpr",
  "endsubroutinestmt", "compoundifstmt", "ifstmt", "elsestmt", "endifexpr",
  "endifstmt", "whilestmt", "endwhileexpr", "endwhilestmt", "dostmt",
  "untilstmt", "compoundstmt", "statement", "dimstmt", "redimstmt",
  "pausestmt", "throwerrorstmt", "clearstmt", "fastgraphicsstmt",
  "graphsizestmt", "refreshstmt", "endstmt", "ifexpr", "strarrayassign",
  "arrayassign", "numassign", "stringassign", "forstmt", "nextstmt",
  "gotostmt", "gosubstmt", "callstmt", "offerrorstmt", "onerrorstmt",
  "returnstmt", "colorstmt", "soundstmt", "plotstmt", "linestmt",
  "circlestmt", "rectstmt", "textstmt", "fontstmt", "saystmt",
  "systemstmt", "volumestmt", "polystmt", "stampstmt", "openstmt",
  "writestmt", "writelinestmt", "closestmt", "resetstmt", "seekstmt",
  "inputstmt", "inputexpr", "printstmt", "wavplaystmt", "wavstopstmt",
  "wavwaitstmt", "putslicestmt", "imgloadstmt", "spritedimstmt",
  "spriteloadstmt", "spriteslicestmt", "spriteplacestmt", "spritemovestmt",
  "spritehidestmt", "spriteshowstmt", "clickclearstmt", "changedirstmt",
  "decimalstmt", "dbopenstmt", "dbclosestmt", "dbexecutestmt",
  "dbopensetstmt", "dbclosesetstmt", "netlistenstmt", "netconnectstmt",
  "netwritestmt", "netclosestmt", "killstmt", "setsettingstmt",
  "portoutstmt", "imgsavestmt", "editvisiblestmt", "graphvisiblestmt",
  "outputvisiblestmt", "globalstmt", "immediatestrlist", "immediatelist",
  "floatlist", "stringlist", "explist", "floatexpr", "stringexpr", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
      60,    62,    61,    45,    43,    42,    47,   475,    94,    10,
      40,    41,    44,    58,    91,    93,    59,   123,   125,    63
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   240,   241,   241,   242,   242,   243,   244,   244,   244,
     244,   244,   244,   244,   244,   244,   244,   244,   244,   244,
     244,   245,   245,   246,   247,   247,   248,   248,   248,   249,
     249,   250,   251,   251,   252,   253,   254,   255,   256,   256,
     257,   258,   259,   259,   260,   261,   262,   263,   263,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264,   264,   264,   265,   265,   265,   265,   266,   266,   266,
     266,   267,   268,   269,   269,   270,   271,   271,   272,   273,
     274,   275,   275,   275,   275,   275,   275,   276,   276,   276,
     276,   276,   276,   277,   278,   279,   279,   280,   281,   282,
     283,   283,   283,   284,   285,   286,   287,   287,   287,   288,
     288,   288,   288,   288,   289,   289,   290,   290,   291,   291,
     292,   292,   293,   293,   293,   293,   294,   294,   295,   295,
     296,   297,   298,   298,   298,   299,   299,   299,   299,   299,
     299,   299,   299,   299,   300,   300,   300,   301,   301,   301,
     302,   302,   302,   303,   303,   303,   304,   304,   304,   305,
     305,   305,   306,   306,   306,   306,   306,   306,   306,   306,
     306,   306,   307,   308,   308,   308,   308,   308,   309,   310,
     310,   311,   311,   312,   312,   312,   312,   313,   313,   313,
     313,   313,   313,   314,   315,   315,   316,   316,   317,   317,
     318,   318,   319,   320,   321,   321,   322,   323,   324,   325,
     325,   326,   327,   328,   328,   329,   329,   329,   330,   330,
     330,   330,   331,   331,   331,   332,   332,   332,   333,   333,
     334,   334,   335,   335,   336,   336,   336,   337,   338,   339,
     340,   341,   342,   343,   343,   344,   344,   345,   345,   345,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   346,   346,   346,   347,
     347,   347,   347,   347,   347,   347,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   347,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   347,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   347,   347,   347,   347,   347,
     347,   347,   347,   347,   347,   347
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     3,     3,     3,     2,     3,     1,     1,     3,     1,
       2,     1,     1,     2,     1,     3,     2,     1,     1,     2,
       1,     2,     1,     2,     1,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     3,     7,     7,     3,     3,     7,
       7,     2,     2,     1,     1,     1,     4,     6,     1,     1,
       2,     6,     8,     3,     8,    10,     8,     6,     8,     3,
       8,    10,     8,     3,     3,     6,     8,     2,     2,     2,
       2,     4,     5,     1,     2,     1,     6,     8,     2,     4,
       2,     2,     6,     4,     4,     6,     8,    10,     6,     8,
       8,    10,     6,     8,     6,     8,     6,     8,     2,     2,
       2,     2,     2,     4,     2,     8,    10,     8,     6,     8,
       6,    10,    12,    10,     2,     6,     4,     2,     6,     4,
       2,     6,     4,     1,     3,     2,     1,     3,     2,     2,
       6,     4,     3,     6,     3,     6,     2,     5,     7,     2,
       5,     7,     2,     1,     2,     2,     3,     3,     2,     1,
       3,     1,     3,     6,     8,     8,    10,     6,     8,     8,
      10,    10,    12,     2,     4,     6,    10,    12,     6,     8,
       6,     8,     2,     2,     1,     3,     2,     2,     2,     1,
       3,     2,     2,     1,     3,     2,     6,     4,     4,     6,
       6,     8,     2,     6,     4,     1,     3,     2,     2,     6,
       6,     8,     4,     6,     2,     6,     4,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     3,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     3,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     4,     5,     5,     5,     5,     4,     6,     4,     3,
       1,     4,     4,     4,     4,     4,     4,     6,     8,    10,
       6,     8,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     4,     4,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     4,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       6,     8,     1,     3,     6,     4,     4,     4,     4,     4,
       3,     4,     4,     1,     3,     1,     3,     1,     3,     4,
       4,     6,     8,     6,     1,     3,     1,     3,     4,     3,
       3,     3,     3,     1,     4,     6,     4,     3,     1,     4,
       4,     4,     4,     8,     6,     6,    10,     1,     3,     4,
       1,     3,     4,     1,     3,     4,     1,     3,     1,     3,
       1,     3,     4,     1,     3,     4,     6,     4,     3,     8,
      10,     8,     4,     6,     4,     6
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
      20,   233,     0,     0,     0,     0,     0,     0,     0,   135,
       0,   138,   133,   134,     0,    37,    38,     0,    42,    45,
       0,     0,     0,     0,     0,   213,   216,     0,     0,   165,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   241,     0,   264,     0,     0,     0,   269,
       0,     0,   273,     0,   163,     0,     0,     0,   285,     0,
       0,     0,     0,     0,     0,     0,     0,    29,     0,     0,
      32,     0,     0,     0,     0,     6,     0,     0,    20,     5,
      16,    18,    31,    17,    34,    19,     7,     8,     9,    40,
      10,    11,    44,    12,    13,    14,    15,    47,    73,    74,
      75,   122,    69,    71,    72,    70,    68,     0,    77,    76,
      62,    63,    64,    65,    49,    50,    51,    52,    53,    54,
      66,    84,    56,    61,    57,    58,    85,    86,    87,    88,
      89,    59,    60,    78,    79,    80,    81,    82,   102,    67,
       0,    55,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    83,   115,   116,   117,
     118,   119,   120,   121,   408,     0,     0,   507,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     377,     0,     0,     0,     0,     0,     0,     0,   379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   510,
     385,   389,   391,   393,   395,   397,   399,     0,   401,   403,
       0,     0,     0,     0,     0,     0,     0,   405,     0,   381,
     383,   410,   412,   414,   416,   418,   420,   462,   422,   424,
     426,   428,   430,   432,   434,   436,   438,   440,   442,   444,
     446,   448,   450,   452,   454,   456,   458,   513,     0,     0,
       0,     0,     0,   473,   516,   475,   518,   520,   477,   523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     486,   339,   338,   493,   350,   498,     0,     0,   235,   234,
     350,   498,     0,   232,     0,     0,     0,     0,     0,     0,
       0,   192,     0,     0,   194,     0,     0,     0,     0,     0,
       0,   140,    41,    46,     0,   157,     0,     0,   204,     0,
       0,   207,     0,   215,     0,   218,   158,   159,    39,    43,
      30,    33,     0,   168,     0,     0,     0,     0,   131,   350,
       0,   171,     0,     0,     0,   210,     0,     0,     0,     0,
     189,   188,   190,   191,     0,     0,     0,     0,   253,     0,
       0,     0,     0,     0,   262,   263,     0,     0,   238,     0,
       0,     0,   219,     0,   266,   267,   268,     0,   271,   272,
       0,   164,     0,   275,     0,     0,     0,     0,     0,   282,
       0,   287,     0,   288,     0,     0,     0,     0,     0,   294,
     297,   298,   299,     0,     0,   132,     0,   160,    26,    27,
     300,     0,     0,     0,     0,     1,     2,     4,     0,    36,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   325,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     320,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   321,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,   217,     0,     0,     0,   123,
       0,   124,     0,   127,     0,   128,   350,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   240,   242,     0,     0,
     265,   270,   274,     0,     0,     0,     0,     0,     0,     0,
       0,   286,     0,     0,     0,     0,     0,     0,     0,     0,
      21,    22,    23,     0,     0,     0,     0,   149,   153,     0,
       0,     0,     0,   143,   154,     0,     3,   139,    48,    35,
     224,   222,   409,     0,     0,   508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     378,     0,     0,     0,     0,     0,     0,     0,   380,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   511,
       0,   386,     0,   390,   392,   394,   396,   398,   400,     0,
     402,   404,     0,     0,     0,     0,     0,     0,     0,   406,
       0,     0,   382,   384,   411,   413,   415,   417,   419,   421,
     463,   423,   425,   427,   429,   431,   433,   435,   437,   439,
     441,   443,   445,   447,   449,   451,   453,   455,   457,   459,
     514,   528,     0,   470,     0,     0,     0,   474,   517,   476,
     519,   521,     0,   478,     0,   524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   485,   487,   349,     0,   307,
     308,     0,     0,     0,   497,     0,     0,     0,     0,   310,
     489,   336,   337,   333,   322,   323,   324,   314,   315,   318,
     319,   334,   335,   332,   312,   311,   491,   313,   316,   317,
     330,   331,   327,   328,   329,   326,   492,   490,     0,     0,
       0,   174,     0,     0,     0,     0,   193,   302,     0,     0,
       0,     0,     0,     0,   136,     0,     0,   206,     0,   209,
       0,     0,     0,     0,     0,     0,   169,     0,   173,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     254,     0,     0,     0,     0,     0,     0,   221,     0,   277,
       0,     0,     0,   278,     0,   284,     0,     0,     0,     0,
     292,     0,   296,    24,     0,   161,     0,    28,     0,     0,
       0,     0,     0,     0,     0,   305,     0,     0,     0,     0,
       0,     0,   509,   351,   352,   500,   355,     0,     0,     0,
     501,   502,     0,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   376,   370,   371,   372,   373,   374,   375,   356,
     499,   353,   354,   512,   387,   488,     0,     0,   465,   466,
     467,   468,   469,   407,   388,   527,   471,   472,   515,   522,
     479,   525,     0,   480,     0,     0,     0,     0,   534,     0,
     532,     0,   348,     0,     0,     0,   340,     0,   346,   496,
       0,     0,   341,     0,   494,     0,   346,     0,   494,     0,
       0,     0,     0,     0,   304,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    25,   162,     0,
       0,     0,     0,     0,     0,   301,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   309,   344,   342,
       0,   345,   343,     0,     0,     0,   175,     0,   178,     0,
       0,     0,   350,   200,     0,     0,     0,   137,   155,   205,
     208,     0,   166,     0,     0,     0,     0,   172,   211,     0,
     184,   182,     0,   186,     0,   243,     0,     0,   247,     0,
     255,     0,     0,   260,     0,   258,   220,   276,     0,   279,
     280,   283,   289,     0,   290,   293,   295,     0,     0,     0,
     147,     0,     0,   306,     0,   141,   225,   223,   460,     0,
       0,   504,   505,   357,     0,   360,     0,     0,   464,   526,
       0,   481,     0,     0,   483,   535,   533,   347,   495,   347,
     495,     0,     0,     0,   350,     0,     0,     0,     0,     0,
       0,   125,   126,   129,   130,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   179,     0,   180,   199,     0,   350,   197,
       0,     0,   176,   156,   167,   185,   183,   187,   244,     0,
     245,     0,   248,     0,   249,   261,     0,     0,   259,   281,
     291,   150,     0,   152,   148,   144,     0,   146,   142,   461,
     503,   358,     0,   361,     0,   529,     0,   482,   531,     0,
     350,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   196,     0,   201,   203,
     177,   246,     0,   250,   251,     0,   256,   151,   145,   359,
     506,   530,     0,     0,     0,   202,   252,   257
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    86,    87,    88,    89,    90,    91,   650,   420,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   663,   314,   581,   904,   788,   302,   306
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -593
static const yytype_int16 yypact[] =
{
   13326,  6119,  6313,  6507,  6701,  6895,  -178,  7089,  7283,  -593,
    7477,  -593,  -593,  -593,  6119,  -593,  -593,  6119,  -593,  -593,
    6119,  -197,  -194,  7671,  7865,  8059,  8253,  -157,  -152,  -593,
       9,  8447,  -147,   -63,  6119,  2800,  8641,  8835,  9029,  6119,
    6119,  6119,  9223,  9417,  6119,  9611,  9805,  6119,  6119,  6119,
    9999,  6119,  -229,  -148, 10193,  -111,  6119,  6119,  6119,  -100,
    6119,  6119,   -86,   -65,  -593, 10387, 10581, 10775, 10969, 11163,
   11357, 11551, 11745,  6119,  6119,  6119,   -48,  -593,  6119,   -51,
    -593,   -46,   -39,  -214,  -208,  -593,   172,   -41, 13540,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,   -55,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,   177,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
     -17,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,   -13,   -10,     0,     1,     8,    10,
      11,    14,    15,    16,    17,    20,    23,    24,    26,    28,
      29,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      47,    50,    53,    56,    57,  6119,    58,    59,    62,    63,
      64,    67,    68,    69,    72,    74,    77,    85,    87,    96,
      97,    99,   100,   102,   117,   118,   120,   121,   123,   124,
     126,   128,   129,   130,   131,   132,   134,   136,   137,   139,
     141,   142,   143,   144,   146,   149,   151,   152,   153,   157,
     159,   160,   162,   165,   167,   168,   174,   176,   178,   179,
     180,   181,   182,   188,   192,   194,   195,   196,   197,   198,
     199,   200,   206,  6119,   207,   212,   216,   224,   231,   232,
     237,  -593,  -593,  -593,  -159,   -91,  6119,  6119,   566,   164,
    -179,  -135, 20708,   219,  6119,  1289,   219,  6119, 14996,  6119,
   15026,  -593,    90,  6119,  -593,  6119, 15045,  6119, 15092,  6119,
   15150, 20708, 20708, 20708,     2,  -593,  6119, 15199,   219,  6119,
   15213,   219,  3382, 20708,  3576, 20708,  -593,  -593,  -593,  -593,
    -593,  -593,  6119, 15263, 11939, 12133, 12327, 12521, 20708,  -133,
   12715,  -593, 15279,  6119, 15367,   219,  6119, 15386,  6119,   976,
   20708,   219,   219, 20708,  6119, 15433,  6119, 15450, 20708,  6119,
   15480,  6119, 15540, 15554, 20708, 20708,  6119, 15604,   219,    88,
     163,  6119, 15655,   171,   219, 20708,   219,   240,   219,   219,
     241,  -593,  6119, 15671,  6119, 15727,  1082,  6119, 15774,   219,
    3770, 20708,  6119,   219,  6119,  1117,  6119, 15829,  6119,  1150,
   20708, 20708, 20708,   244,   244, 20708,   244,   245,  -593,  -593,
       7,  2412,  6119,  2606,  6119,  -593,  5934,  -593,    75,    75,
     -23,   253,  6119,  6119,  3964,  6119,  6119,  6119,  6119,  6119,
    6119,  6119,  6119,  6119,  6119,  6119,  6119,   254,  6119,  6119,
    6119,  6119,  6119,  6119,  6119,   258,  6119,  6119,  6119,  6119,
    6119,  6119,   262,  6119,  6119,  6119,  4158,  4352,   260,   261,
     263,   267,   268,   272,  6119,   274,   275,  6119,  6119,  6119,
    6119,  6119,  6119,  6119,  4546,  6119,   276,   291,   294,   295,
     296,   298,   299,   305,   310,   311,   312,   331,   332,   333,
     337,   339,   342,   344,   346,   351,   353,   355,   358,   359,
     360,   361,   362,   363,   364,  4740,   367,  6119,  6119,  6119,
     369,   371,   373,   374,  4934,  5128,   375,  6119,  6119,  6119,
     262,  6119,  6119,  6119,  6119,   -16,   381,   383,  5322,  1609,
    5516,  2218,   262, 17771,   471,  6119,  6119,  6119,  6119,  6119,
    6119,  6119,  6119,  6119,  6119,  6119,  6119,  6119,  6119,  6119,
    6119,  6119,  6119,  -593,  6119,  6119,  6119,  6119,  6119,  6119,
    6119,  -593,  1609,  2218, 13783,  6119, 13797,  6119, 13811,  6119,
     385,   255, 15846, 13890,  6119, 14003,  6119, 14017,  6119,  6119,
   14064,  6119, 14081,  6119,  -593,  -593, 14111,  6119,  6119, 20708,
    6119, 20708,  6119, 20708,  6119, 20708,  -127, 14130,  6119, 14177,
    6119, 14302,  6119,    89,  6119, 14349,  6119, 14368,  6119, 14396,
    6119, 14415,  6119,  6119, 14462,  6119,  -593,  -593, 14476,  6119,
    -593,  -593,  -593, 14589,  6119, 14636,   280,  6119,  6119, 14683,
    6119,  -593, 14697,   426,  6119, 14711,  6119,   453,  6119,  -155,
    -593,  -593,  -593,  5710,   -39,   393,   395,  -593, 20708,   661,
     396,   397,  6119,  -593,   219,   728,  -593,  -593,  -593,   -55,
     398,   400,  -593, 15893, 15942,  -593, 17831, 17850,   682, 17878,
    1131,  1184,  1190,  1238,  1243,  1887,  1273,  1377, 17897, 17944,
    -593, 18068, 18115, 18134, 18162, 18181, 18228, 18242,  -593, 18355,
   18402, 18432, 18449, 18479, 18526,  2032, 18606, 18653,  3573,  -593,
   18683,  -593, 18700,  -593,  -593,  -593,  -593,  -593,  -593,  3767,
    -593,  -593, 16000, 16016, 18730, 18777, 18857, 18904, 18934,  -593,
   18951,  3961,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  4155,  -593, 18981, 19028, 19108,  -593,  -593,  -593,
    -593,  -593, 19155,  -593, 19185,  -593,  4349,  1398, 19202,  1403,
    1595,  1767,  1868,   -28,   -22,  -593,  -593,  -593,   -20, 20708,
     219,   390,  -220,  1027,  -593,    -9,   399,  -118,  1043,  -593,
    -593,   191,   191,   191, 13623, 14523, 20738,   262,   262,   -77,
     -77,   191,   191,   191,    -7,    -7,  -593,   262,   262,  -593,
     411,   411,   411,   411,   411,   411,    -7,  -593,  1642,  1811,
    6119, 20708,  6119, 16063,  6119, 16113,  -593,  -593,  6119,  6119,
   16129,  6119, 16187,  6119, 20708,   114,  6119,   219,  6119,   219,
    6119, 16217, 14758, 14805, 14918, 14932,  -593,  6119, 20708,  6119,
     219,  6119, 16234,  6119, 16283,  6119, 16300,  6119, 16347,  6119,
     219,  6119, 16404, 16454,  6119, 16470,  6119, 20708,  6119, 20708,
    6119,  6119,  1882, 20708,  6119,   219,  6119,  6119,  1985,  6119,
   20708,  6119,   219,  -593,    -6,  -593,    -4,     7,  6119,  6119,
    6119,   414,  6119,  6119,   401,  2009,  6119,   418,  6119,  6119,
    6119,  6119,  -593,  -593,  -593,  -593,  -593,  6119,  6119,  6119,
    -593,  -593,  6119,  6119,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  6119,  6119,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  6119,  -593,  6119,  6119,  6119,  6119,  -593,  6119,
    -593,  6119,  -593,  6119,   409,   416,  -593,  6119,  -593,  -593,
     420,   421,  -593,  6119,  -593,  6119,   -88,  6119,   -70, 19232,
   16517,  6119, 16534,  6119,  -593, 16624,  2994, 16641,  6119, 19279,
    6119,  4543,  4737, 16688,  6119,  6119,  6119,  6119,  6119, 19359,
    4931, 16704,  6119, 16754,  6119, 16811,  6119, 16858,  6119, 16875,
    5125, 16924,  6119,  6119, 16941,  6119, 19406, 19436,  2014, 19453,
    6119,  5319,  5513,  2023,  6119, 19483,  5708,  -593,  -593,  2215,
    2409,  1858,  6119,  2603,  2797,  -593,  6119,  1908,  6119,  1926,
    1973, 19530, 16971, 17029, 19610, 19657,   466,   491, 17045, 19687,
    5766,  2991,   523,  3185,  5772,  5778,  5827,   417,  -593,  -593,
   13546,  -593,  -593, 13566, 13720, 13736,  -593,  6119, 20708,  6119,
   17095, 12909,  -107,  -593, 17142,  6119, 17158,  -593,   444,  -593,
    -593,  6119, 20708, 19704, 19734, 19781, 19861,  -593,  -593,  6119,
   20708,   219,  6119, 20708,  6119,  3379,  6119, 17216,   219,  6119,
    -593,  6119, 17263, 20708,  6119, 20708,  -593,  -593,  6119,  -593,
   20708,  -593,  -593,  6119,   219,  -593,  -593,  6119,  6119,   437,
   20708,  6119,  6119,  -593,   438,   219,  -593,  -593,  -593,  6119,
    6119,  -593,  -593,  -593,  6119,  -593,  6119,  6119,  -593,  -593,
    6119,  -593,  6119,  6119,  -593,  -593,  -593,  -593,  -593,   -68,
     -67, 19908, 17312,  6119,   -96, 17329,  3188, 17376,  6119,  6119,
   19938,  -593,  -593,  -593,  -593, 19955,  5853, 19985,   537,  6119,
   17390,  6018,  6119, 20032, 17437,  6119, 20112, 20159,  6056,   576,
    6116,  6119,   737,  6310,  6119, 20189, 20206, 14979, 20236, 17503,
     815, 20283,  6504,  -593,  6119, 20708,  -593, 13103,  -105,  -593,
   17550,  6119, 20708, 20708,  -593,  -593,  -593,  -593,  -593,  6119,
   20708,  6119,  -593, 17597,   219,  -593,  6119, 17611,  -593,  -593,
    -593,  -593,  6119,  -593, 20708,  -593,  6119,  -593,   219,  -593,
    -593,  -593,  6119,  -593,  6119,  -593,  6119,  -593,  -593, 20363,
     -94, 17663,  -198, 20410, 20440, 17677,  6698,  6119, 17724,  6119,
   20457, 20487, 20534, 20614, 20661,  -593,  -593,   446,  -593,  -593,
    -593,  -593,  6119,  -593,   219,  6119, 20708,  -593,  -593,  -593,
    -593,  -593,   431,  6892, 20691,  -593,  -593,  -593
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -593,   250,  -593,  -593,   575,  -593,  -593,  -385,  -592,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,   242,   251,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,  -593,
    -593,  -593,    -8,  -160,  -366,  -535,    -1,   992
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -232
static const yytype_int16 yytable[] =
{
     298,   379,   305,   308,   310,   795,   316,   318,   421,   320,
     551,   552,   975,   321,   423,   976,   322,  1268,   324,   323,
     422,   325,   327,   330,   333,   335,   424,   351,   338,   651,
     343,   652,   339,   348,   352,   354,   357,   311,   360,   313,
     363,   365,   367,   368,   370,   372,   373,   374,   375,   377,
    -229,   538,   312,   382,  -229,   572,   385,   894,   336,   313,
     418,   419,   897,   337,   393,   395,   398,   401,   344,   345,
     407,   538,   410,   411,   412,   539,   893,   415,     1,     2,
     551,   552,   380,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,  -226,   540,  -170,   538,  -226,   573,
    -170,   539,    21,   538,   856,    22,    23,   539,    24,    25,
      26,    27,    28,    29,   981,   667,    31,   982,   896,   383,
      32,    33,  -198,   538,  -195,   538,  -198,   539,  -195,   539,
     387,   564,   565,   566,   538,  1206,   538,  1266,   539,   540,
     539,  -230,  1000,   541,   390,  -230,   558,   559,   560,   561,
     391,   562,   346,   347,    34,    35,   545,   546,   547,  -227,
      36,  -231,  -228,  -227,   416,  -231,  -228,   413,   414,   417,
      37,    38,   425,    39,    40,    41,   418,   419,   428,    42,
      43,    44,    45,    46,    47,    48,    49,    50,   426,   548,
     549,   550,   670,   671,    51,    52,    53,   429,    54,   783,
     784,   551,   552,   968,   969,    55,   564,   565,   566,   970,
     971,   972,   973,   340,   462,   430,   341,   431,   560,   561,
     432,   562,   979,   973,   589,  1037,   654,  1038,   973,    56,
     433,   434,    57,    58,    59,    60,    61,    62,   435,   654,
     436,   437,    63,    64,   438,   439,   440,   441,    65,    66,
     442,    67,    68,   443,   444,    69,   445,    70,   446,   447,
      71,   564,   565,   566,    72,   448,   449,   450,   451,   452,
     453,   454,   455,   456,    73,    74,    75,   457,   551,   552,
     458,    78,   530,   459,    81,    82,   460,   461,   463,   464,
      83,    84,   465,   466,   467,   542,   543,   468,   469,   470,
     553,   554,   471,   574,   472,   580,   576,   473,   578,   567,
     568,   569,   582,   570,   583,   474,   585,   475,   587,   626,
     800,   863,   564,   565,   566,   590,   476,   477,   592,   478,
     479,   543,   480,   543,   555,   556,   557,   558,   559,   560,
     561,   596,   562,   599,   601,   603,   605,   481,   482,   607,
     483,   484,   609,   485,   486,   611,   487,   543,   488,   489,
     490,   491,   492,   615,   493,   617,   494,   495,   619,   496,
     621,   497,   498,   499,   500,   624,   501,   553,   554,   502,
     628,   503,   504,   505,   567,   568,   569,   506,   570,   507,
     508,   633,   509,   635,   627,   510,   639,   511,   512,   543,
     571,   642,   630,   543,   513,   645,   514,   543,   515,   516,
     517,   518,   519,   657,   558,   559,   560,   561,   520,   562,
     658,   659,   521,   665,   522,   523,   524,   525,   526,   527,
     528,   673,   674,   676,   677,   679,   529,   531,  1067,   567,
     568,   569,   532,   570,   688,   689,   533,   691,   692,   693,
     694,   695,   696,   697,   534,   699,   700,   701,   702,   703,
     704,   535,   536,   706,   707,   710,   712,   537,   564,   565,
     566,   631,   632,  1169,   649,   653,   722,   723,   724,   725,
     726,   727,   728,   730,   672,   690,   545,   546,   547,   698,
     562,   713,   714,   837,   715,   564,   565,   566,   716,   717,
     567,   568,   569,   718,   570,   720,   721,   732,   564,   565,
     566,   800,   881,   564,   565,   566,   764,   765,   766,   548,
     549,   550,   733,   772,   774,   734,   735,   736,   778,   737,
     738,   551,   552,   564,   565,   566,   739,   789,   793,   789,
     798,   740,   741,   742,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   817,
     818,   819,   743,   744,   745,   564,   565,   566,   746,   826,
     747,   828,   829,   748,   831,   749,   833,   750,   835,   564,
     565,   566,   751,   840,   752,   842,   753,   844,   845,   754,
     755,   756,   757,   758,   759,   760,   851,   852,   763,   853,
     767,   854,   768,   855,   769,   770,   775,   858,   545,   546,
     547,   862,   785,   864,   786,   866,   836,   868,   564,   565,
     566,   872,   873,   898,   875,   899,   902,   903,   877,   974,
     553,   554,   908,   879,   909,   570,  1042,   883,   980,  1045,
    1048,   548,   549,   550,  1068,   890,   567,   568,   569,   973,
     570,  1069,   789,   551,   552,  1071,  1072,   800,   887,  1191,
    1194,  1282,  1285,   427,   555,   556,   557,   558,   559,   560,
     561,   669,   562,   567,   568,   569,   666,   570,   994,   668,
    1133,     0,     0,     0,   800,   891,   567,   568,   569,     0,
     570,   567,   568,   569,     0,   570,     0,  1143,  1144,     0,
       0,     0,   800,   545,   546,   547,     0,     0,     0,     0,
       0,   567,   568,   569,     0,   570,     0,     0,     0,     0,
       0,     0,  1145,  1146,   564,   565,   566,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   548,   549,   550,     0,
       0,     0,     0,   567,   568,   569,     0,   570,   551,   552,
       0,     0,   553,   554,  1151,  1152,     0,   567,   568,   569,
       0,   570,     0,     0,     0,     0,     0,     0,  1218,  1219,
     545,   546,   547,     0,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,   567,   568,   569,     0,
     570,     0,   563,   548,   549,   550,     0,  1231,  1232,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   989,
       0,   990,     0,   992,     0,     0,     0,   582,   995,     0,
     997,     0,   999,     0,     0,     0,     0,   553,   554,  1003,
       0,     0,     0,     0,     0,     0,  1009,   564,   565,   566,
    1011,     0,  1013,     0,  1015,     0,  1017,     0,  1019,     0,
    1021,     0,     0,  1024,     0,  1026,     0,  1027,     0,     0,
    1029,   555,   556,   557,   558,   559,   560,   561,  1035,   562,
       0,     0,     0,   900,     0,     0,   901,     0,     0,  1041,
       0,     0,   567,   568,   569,  1047,   570,  1049,  1050,  1051,
    1052,     0,     0,   914,   553,   554,  1053,  1054,  1055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1058,  1059,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,   567,   568,   569,
     906,   570,     0,   907,     0,     0,     0,     0,  1235,  1236,
       0,     0,   789,     0,     0,     0,  1070,     0,     0,     0,
       0,     0,  1073,     0,  1074,     0,  1075,     0,  1083,     0,
    1078,     0,  1080,   299,   303,  1084,     0,  1086,     0,  1088,
       0,     0,     0,  1092,  1093,  1094,  1095,  1096,     0,     0,
       0,  1100,     0,  1103,     0,   328,   331,  1107,   564,   565,
     566,  1112,  1113,     0,  1115,     0,     0,     0,   355,  1120,
     359,   361,   362,     0,     0,   567,   568,   569,     0,   570,
       0,  1130,     0,   378,     0,     0,  1245,  1246,   384,     0,
     386,     0,   388,   389,     0,     0,     0,     0,   396,   399,
       0,   403,   405,     0,   409,     0,     0,     0,     0,   545,
     546,   547,     0,     0,     0,     0,  1161,     0,  1162,     0,
    1165,     0,     0,     0,  1167,   545,   546,   547,     0,     0,
    1170,     0,     0,     0,     0,     0,     0,     0,  1175,     0,
       0,  1177,   548,   549,   550,  1180,     0,     0,  1183,     0,
    1184,     0,     0,  1186,   551,   552,     0,  1187,   548,   549,
     550,     0,     0,     0,   564,   565,   566,     0,     0,     0,
     551,   552,     0,     0,     0,     0,     0,     0,  1195,  1196,
       0,     0,     0,  1197,     0,  1198,  1199,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,  1209,   564,
     565,   566,  1205,     0,     0,  1210,     0,  1212,  1213,     0,
       0,     0,     0,   564,   565,   566,     0,     0,  1220,     0,
       0,  1223,     0,     0,  1227,     0,     0,     0,     0,     0,
    1234,     0,   564,   565,   566,     0,   567,   568,   569,     0,
     570,     0,     0,  1249,     0,     0,  1251,     0,   614,     0,
    1253,     0,     0,   553,   554,     0,     0,     0,  1254,     0,
    1255,     0,     0,     0,     0,  1258,   564,   565,   566,   553,
     554,  1260,   564,   565,   566,  1261,     0,     0,     0,     0,
       0,  1262,     0,  1263,  1269,  1264,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,  1276,   977,
       0,     0,   978,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,  1284,   983,     0,     0,   984,     0,
     564,   565,   566,     0,     0,   564,   565,   566,     0,   544,
       0,     0,     0,     0,     0,     0,   544,     0,     0,   544,
       0,   544,   567,   568,   569,     0,   570,   544,     0,   544,
       0,   544,     0,     0,   638,   564,   565,   566,   544,     0,
       0,   544,     0,     0,   544,     0,   544,     0,     0,     0,
       0,   545,   546,   547,   544,     0,     0,   567,   568,   569,
       0,   570,   544,     0,     0,   544,     0,     0,   544,   644,
     613,   567,   568,   569,     0,   570,   544,     0,   544,     0,
       0,   544,   916,   544,   548,   549,   550,     0,   544,     0,
     567,   568,   569,   544,   570,     0,   551,   552,     0,     0,
       0,     0,   648,     0,   544,     0,   636,     0,     0,   544,
       0,     0,   544,     0,   544,     0,   643,     0,   544,     0,
     647,     0,     0,     0,   567,   568,   569,     0,   570,     0,
     567,   568,   569,     0,   570,   664,   917,     0,     0,   564,
     565,   566,   918,     0,     0,     0,     0,   678,     0,   680,
     681,   682,   683,   684,   685,   686,   687,     0,     0,     0,
     564,   565,   566,     0,     0,   564,   565,   566,     0,     0,
       0,     0,     0,     0,     0,   705,     0,   708,   567,   568,
     569,     0,   570,   567,   568,   569,   719,   570,     0,     0,
     919,     0,     0,     0,   920,   553,   554,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   567,   568,   569,     0,   570,     0,     0,
       0,     0,     0,     0,     0,   922,     0,   762,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,   776,
     777,   575,     0,   779,   780,   781,   782,     0,     0,     0,
     790,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   816,     0,     0,     0,     0,   820,   821,   822,   823,
     824,   825,   827,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   847,     0,   849,     0,     0,     0,     0,
     544,     0,   544,     0,   544,     0,   544,   567,   568,   569,
       0,   570,   860,     0,     0,     0,     0,     0,     0,   923,
       0,     0,   870,     0,   184,   185,   186,     0,   567,   568,
     569,     0,   570,   567,   568,   569,     0,   570,     0,   882,
     962,     0,   885,     0,     0,   964,   888,   564,   565,   566,
     892,   187,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   545,   546,   547,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,   548,   549,   550,
       0,     0,   231,   232,   233,   234,   235,   236,     0,   551,
     552,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,     0,   564,
     565,   566,     0,     0,     0,   567,   568,   569,     0,   570,
       0,   291,   292,   293,   294,   295,     0,   965,   553,   554,
       0,     0,   296,     0,     0,     0,     0,     0,  1001,   297,
    1002,   791,     0,     0,     0,     0,     0,     0,   792,     0,
       0,  1010,     0,   545,   546,   547,     0,     0,     0,     0,
       0,  1020,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,  1028,     0,   985,     0,  1031,   986,  1032,  1033,
       0,     0,     0,  1036,     0,     0,   548,   549,   550,     0,
    1039,  1040,     0,     0,  1043,  1044,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,     0,     0,     0,
     564,   565,   566,     0,  1056,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   564,
     565,   566,     0,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
     545,   546,   547,     0,  1060,     0,  1061,  1062,  1063,  1064,
       0,  1065,     0,  1066,     0,   790,     0,     0,   545,   546,
     547,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,   549,   550,     0,   567,   568,   569,
       0,   570,     0,     0,     0,   551,   552,   553,   554,   966,
       0,   548,   549,   550,  1101,     0,     0,     0,  1105,     0,
    1108,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,  1124,   564,   565,   566,
       0,   555,   556,   557,   558,   559,   560,   561,   905,   562,
    1135,     0,     0,   987,   553,   554,   988,     0,   548,   549,
     550,   564,   565,   566,     0,     0,   564,   565,   566,     0,
     551,   552,     0,     0,     0,   564,   565,   566,     0,     0,
       0,     0,     0,     0,   564,   565,   566,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,   567,   568,
     569,  1176,   570,  1129,   553,   554,  1178,     0,  1181,     0,
     967,     0,   567,   568,   569,     0,   570,   567,   568,   569,
       0,   570,   553,   554,  1030,  1188,     0,     0,   921,  1189,
    1190,     0,     0,  1192,  1193,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,     0,
       0,     0,  1200,  1134,     0,  1202,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,     0,     0,   553,
     554,  1136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1224,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1238,     0,     0,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,     0,   567,   568,   569,  1137,   570,
       0,     0,     0,  1256,     0,     0,     0,  1034,     0,     0,
       0,     0,     0,   184,   185,   186,     0,     0,     0,   567,
     568,   569,     0,   570,   567,   568,   569,     0,   570,     0,
       0,  1046,     0,   567,   568,   569,  1118,   570,     0,  1274,
     187,     0,   567,   568,   569,  1123,   570,   564,   565,   566,
       0,     0,     0,   939,  1283,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,     0,     0,     0,   215,     0,     0,   216,
     217,   218,   219,     0,   220,     0,     0,   221,   222,   223,
     224,   225,   226,     0,     0,   227,     0,     0,     0,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,   233,   234,   235,   236,     0,     0,     0,
     237,     0,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,     0,   267,   268,     0,     0,     0,     0,     0,
       0,   269,   270,   271,   272,     0,     0,   273,   274,   275,
     276,     0,     0,   277,     0,     0,   278,   279,     0,   280,
       0,   281,   282,     0,     0,     0,   283,     0,   284,   285,
       0,   286,   287,     0,   288,   289,   290,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   567,   568,   569,     0,   570,
       0,   296,     0,     0,   187,     0,     0,  1127,   297,     0,
     796,   564,   565,   566,     0,     0,     0,   797,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,     0,     0,     0,
     215,     0,     0,   216,   217,   218,   219,     0,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,     0,   227,
       0,     0,     0,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,   233,   234,   235,
     236,     0,     0,     0,   237,     0,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,     0,   267,   268,     0,
       0,     0,     0,     0,     0,   269,   270,   271,   272,     0,
       0,   273,   274,   275,   276,     0,     0,   277,     0,     0,
     278,   279,     0,   280,     0,   281,   282,     0,     0,     0,
     283,     0,   284,   285,   655,   286,   287,   656,   288,   289,
     290,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   567,
     568,   569,     0,   570,     0,   296,     0,     0,   187,     0,
       0,  1128,   297,     0,     0,   564,   565,   566,     0,   313,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,     0,     0,     0,   215,     0,     0,   216,   217,   218,
     219,     0,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,     0,   227,     0,     0,     0,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,   233,   234,   235,   236,     0,     0,     0,   237,     0,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
       0,   267,   268,     0,     0,     0,     0,     0,     0,   269,
     270,   271,   272,     0,     0,   273,   274,   275,   276,     0,
       0,   277,     0,     0,   278,   279,     0,   280,     0,   281,
     282,     0,     0,     0,   283,     0,   284,   285,   660,   286,
     287,   661,   288,   289,   290,   184,   185,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   567,   568,   569,     0,   570,     0,   296,
       0,     0,   187,     0,     0,  1131,   297,     0,     0,   564,
     565,   566,     0,   662,     0,     0,     0,     0,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,     0,     0,     0,   215,     0,
       0,   216,   217,   218,   219,     0,   220,     0,     0,   221,
     222,   223,   224,   225,   226,     0,     0,   227,     0,     0,
       0,   228,   229,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   231,   232,   233,   234,   235,   236,     0,
       0,     0,   237,     0,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,     0,   267,   268,     0,     0,     0,
       0,     0,     0,   269,   270,   271,   272,     0,     0,   273,
     274,   275,   276,     0,     0,   277,     0,     0,   278,   279,
       0,   280,     0,   281,   282,     0,     0,     0,   283,     0,
     284,   285,     0,   286,   287,     0,   288,   289,   290,   184,
     185,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   349,   295,   567,   568,   569,
       0,   570,     0,   296,     0,     0,   187,     0,     0,  1132,
     350,     0,     0,   564,   565,   566,     0,   313,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,     0,
       0,     0,   215,     0,     0,   216,   217,   218,   219,     0,
     220,     0,     0,   221,   222,   223,   224,   225,   226,     0,
       0,   227,     0,     0,     0,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,   233,
     234,   235,   236,     0,     0,     0,   237,     0,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,     0,   267,
     268,     0,     0,     0,     0,     0,     0,   269,   270,   271,
     272,     0,     0,   273,   274,   275,   276,     0,     0,   277,
       0,     0,   278,   279,     0,   280,     0,   281,   282,     0,
       0,     0,   283,     0,   284,   285,     0,   286,   287,     0,
     288,   289,   290,   184,   185,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,  1082,
     295,   567,   568,   569,     0,   570,     0,   296,     0,     0,
     187,     0,     0,  1150,   297,     0,     0,   564,   565,   566,
       0,   313,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,     0,     0,     0,   215,     0,     0,   216,
     217,   218,   219,     0,   220,     0,     0,   221,   222,   223,
     224,   225,   226,     0,     0,   227,     0,     0,     0,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,   233,   234,   235,   236,     0,     0,     0,
     237,     0,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,     0,   267,   268,     0,     0,     0,     0,     0,
       0,   269,   270,   271,   272,     0,     0,   273,   274,   275,
     276,     0,     0,   277,     0,     0,   278,   279,     0,   280,
       0,   281,   282,     0,     0,     0,   283,     0,   284,   285,
       0,   286,   287,     0,   288,   289,   290,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,  1208,   295,   567,   568,   569,     0,   570,
       0,   296,     0,     0,   187,     0,     0,  1153,   297,     0,
       0,   564,   565,   566,     0,   313,     0,     0,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,     0,     0,     0,
     215,     0,     0,   216,   217,   218,   219,     0,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,     0,   227,
       0,     0,     0,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,   233,   234,   235,
     236,     0,     0,     0,   237,     0,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,     0,   267,   268,     0,
       0,     0,     0,     0,     0,   269,   270,   271,   272,     0,
       0,   273,   274,   275,   276,     0,     0,   277,     0,     0,
     278,   279,     0,   280,     0,   281,   282,     0,     0,     0,
     283,     0,   284,   285,     0,   286,   287,     0,   288,   289,
     290,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   567,
     568,   569,     0,   570,     0,   296,     0,     0,   187,     0,
       0,  1179,   297,   594,     0,   564,   565,   566,     0,     0,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,     0,     0,     0,   215,     0,     0,   216,   217,   218,
     219,     0,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,     0,   227,     0,     0,     0,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,   233,   234,   235,   236,     0,     0,     0,   237,     0,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
       0,   267,   268,     0,     0,     0,     0,     0,     0,   269,
     270,   271,   272,     0,     0,   273,   274,   275,   276,     0,
       0,   277,     0,     0,   278,   279,     0,   280,     0,   281,
     282,     0,     0,     0,   283,     0,   284,   285,     0,   286,
     287,     0,   288,   289,   290,   184,   185,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   567,   568,   569,     0,   570,     0,   296,
       0,     0,   187,     0,   942,     0,   297,   595,     0,   564,
     565,   566,     0,     0,     0,     0,     0,     0,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,     0,     0,     0,   215,     0,
       0,   216,   217,   218,   219,     0,   220,     0,     0,   221,
     222,   223,   224,   225,   226,     0,     0,   227,     0,     0,
       0,   228,   229,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   231,   232,   233,   234,   235,   236,     0,
       0,     0,   237,     0,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,     0,   267,   268,     0,     0,     0,
       0,     0,     0,   269,   270,   271,   272,     0,     0,   273,
     274,   275,   276,     0,     0,   277,     0,     0,   278,   279,
       0,   280,     0,   281,   282,     0,     0,     0,   283,     0,
     284,   285,     0,   286,   287,     0,   288,   289,   290,   184,
     185,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   567,   568,   569,
       0,   570,     0,   296,     0,     0,   187,     0,   945,     0,
     297,   641,     0,   564,   565,   566,     0,     0,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,     0,
       0,     0,   215,     0,     0,   216,   217,   218,   219,     0,
     220,     0,     0,   221,   222,   223,   224,   225,   226,     0,
       0,   227,     0,     0,     0,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,   233,
     234,   235,   236,     0,     0,     0,   237,     0,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,     0,   267,
     268,     0,     0,     0,     0,     0,     0,   269,   270,   271,
     272,     0,     0,   273,   274,   275,   276,     0,     0,   277,
       0,     0,   278,   279,     0,   280,     0,   281,   282,     0,
       0,     0,   283,     0,   284,   285,     0,   286,   287,     0,
     288,   289,   290,   184,   185,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   567,   568,   569,     0,   570,     0,   296,     0,     0,
     187,     0,   954,     0,   297,   675,     0,   564,   565,   566,
       0,     0,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,     0,     0,     0,   215,     0,     0,   216,
     217,   218,   219,     0,   220,     0,     0,   221,   222,   223,
     224,   225,   226,     0,     0,   227,     0,     0,     0,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,   233,   234,   235,   236,     0,     0,     0,
     237,     0,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,     0,   267,   268,     0,     0,     0,     0,     0,
       0,   269,   270,   271,   272,     0,     0,   273,   274,   275,
     276,     0,     0,   277,     0,     0,   278,   279,     0,   280,
       0,   281,   282,     0,     0,     0,   283,     0,   284,   285,
       0,   286,   287,     0,   288,   289,   290,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   567,   568,   569,     0,   570,
       0,   296,     0,     0,   187,     0,   955,     0,   297,   709,
       0,   564,   565,   566,     0,     0,     0,     0,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,     0,     0,     0,
     215,     0,     0,   216,   217,   218,   219,     0,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,     0,   227,
       0,     0,     0,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,   233,   234,   235,
     236,     0,     0,     0,   237,     0,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,     0,   267,   268,     0,
       0,     0,     0,     0,     0,   269,   270,   271,   272,     0,
       0,   273,   274,   275,   276,     0,     0,   277,     0,     0,
     278,   279,     0,   280,     0,   281,   282,     0,     0,     0,
     283,     0,   284,   285,     0,   286,   287,     0,   288,   289,
     290,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   567,
     568,   569,     0,   570,     0,   296,     0,     0,   187,     0,
     961,     0,   297,   711,     0,   564,   565,   566,     0,     0,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,     0,     0,     0,   215,     0,     0,   216,   217,   218,
     219,     0,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,     0,   227,     0,     0,     0,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,   233,   234,   235,   236,     0,     0,     0,   237,     0,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
       0,   267,   268,     0,     0,     0,     0,     0,     0,   269,
     270,   271,   272,     0,     0,   273,   274,   275,   276,     0,
       0,   277,     0,     0,   278,   279,     0,   280,     0,   281,
     282,     0,     0,     0,   283,     0,   284,   285,     0,   286,
     287,     0,   288,   289,   290,   184,   185,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   567,   568,   569,     0,   570,     0,   296,
       0,     0,   187,     0,  1089,     0,   297,   729,     0,   564,
     565,   566,     0,     0,     0,     0,     0,     0,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,     0,     0,     0,   215,     0,
       0,   216,   217,   218,   219,     0,   220,     0,     0,   221,
     222,   223,   224,   225,   226,     0,     0,   227,     0,     0,
       0,   228,   229,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   231,   232,   233,   234,   235,   236,     0,
       0,     0,   237,     0,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,     0,   267,   268,     0,     0,     0,
       0,     0,     0,   269,   270,   271,   272,     0,     0,   273,
     274,   275,   276,     0,     0,   277,     0,     0,   278,   279,
       0,   280,     0,   281,   282,     0,     0,     0,   283,     0,
     284,   285,     0,   286,   287,     0,   288,   289,   290,   184,
     185,   186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   567,   568,   569,
       0,   570,     0,   296,     0,     0,   187,     0,  1090,     0,
     297,   761,     0,   564,   565,   566,     0,     0,     0,     0,
       0,     0,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,     0,
       0,     0,   215,     0,     0,   216,   217,   218,   219,     0,
     220,     0,     0,   221,   222,   223,   224,   225,   226,     0,
       0,   227,     0,     0,     0,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,   233,
     234,   235,   236,     0,     0,     0,   237,     0,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,     0,   267,
     268,     0,     0,     0,     0,     0,     0,   269,   270,   271,
     272,     0,     0,   273,   274,   275,   276,     0,     0,   277,
       0,     0,   278,   279,     0,   280,     0,   281,   282,     0,
       0,     0,   283,     0,   284,   285,     0,   286,   287,     0,
     288,   289,   290,   184,   185,   186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   567,   568,   569,     0,   570,     0,   296,     0,     0,
     187,     0,  1098,     0,   297,   771,     0,   564,   565,   566,
       0,     0,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,     0,     0,     0,   215,     0,     0,   216,
     217,   218,   219,     0,   220,     0,     0,   221,   222,   223,
     224,   225,   226,     0,     0,   227,     0,     0,     0,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,   233,   234,   235,   236,     0,     0,     0,
     237,     0,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,     0,   267,   268,     0,     0,     0,     0,     0,
       0,   269,   270,   271,   272,     0,     0,   273,   274,   275,
     276,     0,     0,   277,     0,     0,   278,   279,     0,   280,
       0,   281,   282,     0,     0,     0,   283,     0,   284,   285,
       0,   286,   287,     0,   288,   289,   290,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   567,   568,   569,     0,   570,
       0,   296,     0,     0,   187,     0,  1110,     0,   297,   773,
       0,   564,   565,   566,     0,     0,     0,     0,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,     0,     0,     0,
     215,     0,     0,   216,   217,   218,   219,     0,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,     0,   227,
       0,     0,     0,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,   233,   234,   235,
     236,     0,     0,     0,   237,     0,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,     0,   267,   268,     0,
       0,     0,     0,     0,     0,   269,   270,   271,   272,     0,
       0,   273,   274,   275,   276,     0,     0,   277,     0,     0,
     278,   279,     0,   280,     0,   281,   282,     0,     0,     0,
     283,     0,   284,   285,     0,   286,   287,     0,   288,   289,
     290,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   567,
     568,   569,     0,   570,     0,   296,     0,     0,   187,     0,
    1121,     0,   297,   787,     0,   564,   565,   566,     0,     0,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,     0,     0,     0,   215,     0,     0,   216,   217,   218,
     219,     0,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,     0,   227,     0,     0,     0,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,   233,   234,   235,   236,     0,     0,     0,   237,     0,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
       0,   267,   268,     0,     0,     0,     0,     0,     0,   269,
     270,   271,   272,     0,     0,   273,   274,   275,   276,     0,
       0,   277,     0,     0,   278,   279,     0,   280,     0,   281,
     282,     0,     0,     0,   283,     0,   284,   285,     0,   286,
     287,     0,   288,   289,   290,   184,   185,   186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   567,   568,   569,     0,   570,     0,   296,
       0,     0,   187,     0,  1122,     0,   297,   794,     0,     0,
     564,   565,   566,     0,     0,     0,     0,     0,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,     0,     0,     0,   215,     0,
       0,   216,   217,   218,   219,     0,   220,     0,     0,   221,
     222,   223,   224,   225,   226,     0,     0,   227,   564,   565,
     566,   228,   229,   230,   564,   565,   566,     0,     0,     0,
     564,   565,   566,   231,   232,   233,   234,   235,   236,     0,
       0,     0,   237,     0,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,     0,   267,   268,     0,     0,   564,
     565,   566,     0,   269,   270,   271,   272,     0,     0,   273,
     274,   275,   276,     0,     0,   277,     0,     0,   278,   279,
       0,   280,     0,   281,   282,   564,   565,   566,   283,     0,
     284,   285,     0,   286,   287,     0,   288,   289,   290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,     0,   567,   568,
     569,     0,   570,   296,     0,     0,     0,     1,     2,  1126,
     297,   895,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,     0,    15,    16,    17,    18,    19,
      20,    21,     0,     0,    22,    23,     0,    24,    25,    26,
      27,    28,    29,     0,    30,    31,     0,     0,     0,    32,
      33,     0,     0,     0,     0,     0,   567,   568,   569,     0,
     570,     0,   567,   568,   569,     0,   570,  1149,   567,   568,
     569,     0,   570,  1154,     0,     0,     0,     0,     0,  1155,
       0,     0,     0,    34,    35,     0,     0,     0,     0,    36,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    37,
      38,     0,    39,    40,    41,     0,     0,     0,    42,    43,
      44,    45,    46,    47,    48,    49,    50,   567,   568,   569,
       0,   570,     0,    51,    52,    53,     0,    54,  1156,     0,
     564,   565,   566,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,   567,   568,   569,     0,   570,     0,     0,
       0,     0,     0,     0,  1216,     0,     0,     0,    56,     0,
       0,    57,    58,    59,    60,    61,    62,     0,   564,   565,
     566,    63,    64,     0,     0,     0,     0,    65,    66,     0,
      67,    68,     0,     0,    69,     0,    70,     0,     0,    71,
       0,     0,     0,    72,   184,   185,   186,     0,     0,     0,
       0,     0,     0,    73,    74,    75,     0,     0,    76,    77,
      78,    79,    80,    81,    82,     0,     0,     0,     0,    83,
      84,   187,     0,    85,     0,     0,     0,     0,   564,   565,
     566,     0,     0,   -20,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,   567,   568,
     569,   237,   570,   238,   239,   240,   241,   242,   243,  1222,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,   567,   568,   569,     0,
     570,     0,   269,   270,   271,   272,     0,  1230,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   567,   568,   569,     0,
     570,     0,   296,     0,     0,   187,     0,  1233,     0,   297,
       0,     0,   564,   565,   566,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   300,   301,
     567,   568,   569,     0,   570,     0,   296,     0,     0,   187,
       0,  1237,     0,   297,     0,     0,   564,   565,   566,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   567,   568,   569,     0,   570,     0,
     296,     0,     0,   187,     0,  1248,     0,   304,     0,     0,
     564,   565,   566,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   567,   568,
     569,     0,   570,     0,   296,     0,     0,   187,     0,  1273,
       0,   307,     0,     0,   564,   565,   566,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   567,   568,   569,     0,   570,     0,   296,     0,
       0,   187,     0,  1286,     0,   309,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   315,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   317,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   332,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   353,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   366,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   371,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   376,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   392,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   394,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   397,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   400,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   406,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   408,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,   184,   185,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,   187,
       0,     0,     0,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,     0,     0,     0,   215,     0,     0,   216,   217,
     218,   219,     0,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,     0,   227,     0,     0,     0,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,   233,   234,   235,   236,     0,     0,     0,   237,
       0,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,     0,   267,   268,     0,     0,     0,     0,     0,     0,
     269,   270,   271,   272,     0,     0,   273,   274,   275,   276,
       0,     0,   277,     0,     0,   278,   279,     0,   280,     0,
     281,   282,     0,     0,     0,   283,     0,   284,   285,     0,
     286,   287,     0,   288,   289,   290,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,     0,     0,     0,     0,     0,     0,
     296,     0,     0,   187,     0,     0,     0,   602,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,     0,     0,     0,   215,
       0,     0,   216,   217,   218,   219,     0,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,     0,   227,     0,
       0,     0,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,   233,   234,   235,   236,
       0,     0,     0,   237,     0,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,     0,   267,   268,     0,     0,
       0,     0,     0,     0,   269,   270,   271,   272,     0,     0,
     273,   274,   275,   276,     0,     0,   277,     0,     0,   278,
     279,     0,   280,     0,   281,   282,     0,     0,     0,   283,
       0,   284,   285,     0,   286,   287,     0,   288,   289,   290,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,   296,     0,     0,   187,     0,     0,
       0,   604,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
       0,     0,     0,   215,     0,     0,   216,   217,   218,   219,
       0,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,     0,   227,     0,     0,     0,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
     233,   234,   235,   236,     0,     0,     0,   237,     0,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,     0,
     267,   268,     0,     0,     0,     0,     0,     0,   269,   270,
     271,   272,     0,     0,   273,   274,   275,   276,     0,     0,
     277,     0,     0,   278,   279,     0,   280,     0,   281,   282,
       0,     0,     0,   283,     0,   284,   285,     0,   286,   287,
       0,   288,   289,   290,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     606,   295,     0,     0,     0,     0,     0,     0,   296,     0,
       0,   187,     0,     0,     0,   297,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,     0,     0,     0,   215,     0,     0,
     216,   217,   218,   219,     0,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,     0,   227,     0,     0,     0,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,   233,   234,   235,   236,     0,     0,
       0,   237,     0,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,     0,   267,   268,     0,     0,     0,     0,
       0,     0,   269,   270,   271,   272,     0,     0,   273,   274,
     275,   276,     0,     0,   277,     0,     0,   278,   279,     0,
     280,     0,   281,   282,     0,     0,     0,   283,     0,   284,
     285,     0,   286,   287,     0,   288,   289,   290,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,  1164,   295,     0,     0,     0,     0,
       0,     0,   296,     0,     0,   187,     0,     0,     0,   297,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,     0,     0,
       0,   215,     0,     0,   216,   217,   218,   219,     0,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,     0,
     227,     0,     0,     0,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,   233,   234,
     235,   236,     0,     0,     0,   237,     0,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,   267,   268,
       0,     0,     0,     0,     0,     0,   269,   270,   271,   272,
       0,     0,   273,   274,   275,   276,     0,     0,   277,     0,
       0,   278,   279,     0,   280,     0,   281,   282,     0,     0,
       0,   283,     0,   284,   285,     0,   286,   287,     0,   288,
     289,   290,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,  1250,   295,
       0,     0,     0,     0,     0,     0,   296,     0,     0,     1,
       2,     0,     0,   297,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,     0,    15,    16,    17,
      18,    19,    20,    21,     0,     0,    22,    23,     0,    24,
      25,    26,    27,    28,    29,     0,    30,    31,     0,     0,
       0,    32,    33,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    34,    35,     0,     0,     0,
       0,    36,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,    38,     0,    39,    40,    41,     0,     0,     0,
      42,    43,    44,    45,    46,    47,    48,    49,    50,     0,
       0,     0,     0,     0,     0,    51,    52,    53,     0,    54,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,    57,    58,    59,    60,    61,    62,     0,
       0,     0,     0,    63,    64,     0,     0,     0,     0,    65,
      66,     0,    67,    68,     0,     0,    69,     0,    70,     0,
       0,    71,     0,     0,     0,    72,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    73,    74,    75,     0,     0,
      76,    77,    78,    79,    80,    81,    82,     0,     0,     0,
       0,    83,    84,     1,     2,    85,     0,     0,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
       0,    15,    16,    17,    18,    19,    20,    21,     0,     0,
      22,    23,     0,    24,    25,    26,    27,    28,    29,     0,
      30,    31,     0,     0,     0,    32,    33,     0,   545,   546,
     547,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   545,   546,
     547,     0,     0,     0,     0,     0,     0,     0,     0,    34,
      35,   548,   549,   550,     0,    36,     0,     0,     0,     0,
       0,     0,     0,   551,   552,    37,    38,     0,    39,    40,
      41,   548,   549,   550,    42,    43,    44,    45,    46,    47,
      48,    49,    50,   551,   552,     0,     0,     0,     0,    51,
      52,    53,     0,    54,     0,   545,   546,   547,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,    57,    58,    59,
      60,    61,    62,     0,     0,     0,     0,    63,    64,     0,
     551,   552,     0,    65,    66,     0,    67,    68,     0,     0,
      69,     0,    70,     0,     0,    71,     0,     0,     0,    72,
       0,     0,   553,   554,     0,     0,     0,     0,     0,    73,
      74,    75,     0,     0,    76,    77,    78,    79,    80,    81,
      82,     0,   553,   554,     0,    83,    84,     0,     0,     0,
       0,     0,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,     0,   545,   546,
     547,  1157,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   548,   549,   550,     0,     0,
       0,  1158,     0,     0,     0,     0,     0,   551,   552,   553,
     554,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,   545,   546,   547,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,     0,     0,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,     0,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,     0,     0,     0,     0,  1159,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   548,   549,   550,     0,   553,
     554,  1160,     0,     0,     0,     0,     0,   551,   552,     0,
       0,     0,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,   799,   830,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   799,   832,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   799,   834,     0,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,   799,   839,   545,   546,   547,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,   545,   546,   547,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   548,   549,   550,   553,
     554,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,   553,   554,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,   799,   841,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   799,   843,
     553,   554,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,   799,   846,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   799,   848,     0,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   799,   850,   545,   546,   547,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,   799,   857,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   799,   859,
     545,   546,   547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,     0,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,     0,     0,     0,   553,   554,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   545,   546,
     547,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   799,   861,   553,   554,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   548,   549,   550,   553,   554,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
     799,   865,   553,   554,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,   548,   799,
     867,   553,   554,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,   799,   869,     0,
       0,   545,   546,   547,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   799,   871,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   553,   554,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   799,   874,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,   799,   876,   553,
     554,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,   545,   546,   547,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   548,   549,   550,   553,   554,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
     799,   878,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
       0,     0,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,   799,   880,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     548,   549,   550,   553,   554,     0,     0,     0,     0,     0,
       0,     0,   551,   552,     0,     0,     0,   553,   554,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,   799,   884,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   799,   886,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   799,   889,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     545,   546,   547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   799,
    1005,   553,   554,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   799,  1006,   545,   546,
     547,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,     0,     0,   545,   546,   547,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   548,   549,   550,   553,   554,     0,     0,     0,     0,
       0,     0,     0,   551,   552,     0,     0,     0,   553,   554,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   799,
    1007,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   799,  1008,   553,   554,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
    1241,  1242,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   548,   549,   550,   577,     0,
       0,   553,   554,     0,     0,     0,     0,   551,   552,     0,
       0,   545,   546,   547,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   545,   546,   547,   579,     0,
       0,     0,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,   548,   549,   550,   584,   553,   554,
       0,     0,     0,     0,     0,     0,   551,   552,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,     0,   545,   546,   547,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,   545,   546,   547,   586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,     0,   588,     0,     0,   553,   554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,     0,     0,     0,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,   545,   546,
     547,   591,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   548,   549,   550,   593,     0,     0,     0,   553,
     554,     0,     0,     0,   551,   552,     0,     0,     0,     0,
       0,   548,   549,   550,     0,   553,   554,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   545,   546,   547,   597,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,   548,   549,
     550,   608,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   553,   554,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,     0,
       0,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,   545,   546,   547,   610,
       0,     0,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   548,   549,   550,   612,   553,
     554,     0,     0,     0,     0,     0,     0,   551,   552,   548,
     549,   550,     0,     0,     0,     0,   553,   554,     0,     0,
       0,   551,   552,     0,     0,     0,   545,   546,   547,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,     0,   616,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,   548,
     549,   550,   618,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,     0,   545,   546,   547,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,     0,   620,   545,   546,   547,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,     0,     0,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
     553,   554,   551,   552,     0,     0,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     555,   556,   557,   558,   559,   560,   561,     0,   562,   545,
     546,   547,   622,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,   623,     0,     0,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,   625,     0,     0,     0,
       0,   553,   554,     0,     0,     0,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,   553,   554,     0,
       0,   551,   552,     0,     0,     0,     0,     0,     0,     0,
       0,   545,   546,   547,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,     0,   629,   545,   546,
     547,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,     0,   634,   548,   549,   550,     0,     0,     0,
       0,     0,     0,   553,   554,     0,   551,   552,     0,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,     0,   637,
     553,   554,     0,     0,     0,     0,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,   545,   546,   547,     0,     0,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,   640,     0,     0,     0,
       0,     0,     0,     0,     0,   553,   554,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,   545,   546,
     547,   646,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,   548,   549,   550,   838,   553,
     554,     0,     0,     0,     0,     0,     0,   551,   552,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,     0,   910,     0,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,     0,   545,   546,   547,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,   545,   546,   547,   911,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   553,   554,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,   545,
     546,   547,   946,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,     0,   947,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   548,   549,   550,   991,     0,     0,     0,   553,
     554,     0,     0,     0,   551,   552,     0,     0,     0,   548,
     549,   550,     0,     0,     0,   553,   554,     0,     0,     0,
       0,   551,   552,     0,     0,   545,   546,   547,     0,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   545,   546,   547,   993,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,   548,   549,
     550,   996,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,   553,   554,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,     0,   998,
     553,   554,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,   545,   546,   547,  1004,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,  1012,     0,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,   553,   554,     0,     0,
       0,   551,   552,     0,     0,     0,   545,   546,   547,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   545,   546,   547,  1014,     0,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,   548,
     549,   550,  1016,   553,   554,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,     0,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,   545,   546,   547,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     553,   554,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,  1022,     0,     0,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,   545,   546,   547,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   545,   546,   547,  1023,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,   548,
     549,   550,  1025,   553,   554,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,   548,   549,   550,     0,
     553,   554,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,   545,   546,   547,  1077,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   548,   549,   550,  1079,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,   545,   546,   547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   545,   546,   547,  1081,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,     0,  1085,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   548,   549,   550,     0,
     553,   554,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,   545,   546,   547,
    1091,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   548,   549,   550,  1099,     0,     0,     0,
     553,   554,     0,     0,     0,   551,   552,     0,     0,     0,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,     0,     0,   545,   546,   547,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   545,   546,   547,  1102,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,     0,  1104,   553,   554,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,   553,   554,     0,     0,     0,     0,     0,     0,     0,
       0,   545,   546,   547,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,   545,   546,   547,
    1106,     0,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,   548,   549,   550,  1109,     0,     0,
     553,   554,     0,     0,     0,     0,   551,   552,     0,     0,
     548,   549,   550,     0,     0,     0,     0,   553,   554,     0,
       0,     0,   551,   552,     0,     0,     0,   545,   546,   547,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,     0,  1111,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
     548,   549,   550,  1114,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
     545,   546,   547,  1139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   553,   554,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   553,   554,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,   545,   546,
     547,  1140,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,     0,  1147,     0,     0,
       0,   553,   554,     0,     0,     0,     0,     0,     0,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,     0,  1163,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,   548,   549,
     550,     0,     0,     0,   553,   554,     0,     0,     0,     0,
     551,   552,     0,     0,   545,   546,   547,     0,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,   545,   546,   547,  1166,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,   548,   549,   550,
    1168,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,   553,   554,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,     0,  1182,   553,
     554,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,     0,  1185,     0,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   548,   549,   550,   553,   554,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,     0,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,     0,  1204,   545,   546,   547,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
       0,  1207,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   553,   554,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,     0,  1211,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,     0,  1221,   553,   554,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   545,   546,   547,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,     0,  1226,
       0,     0,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   548,   549,   550,   553,
     554,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,     0,     0,   545,   546,   547,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,     0,  1244,   553,   554,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,     0,  1252,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,     0,  1257,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,     0,  1259,     0,     0,   548,   549,   550,   553,
     554,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,   545,   546,   547,     0,     0,     0,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,   545,   546,   547,  1267,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,   548,   549,   550,  1272,
     553,   554,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,   548,   549,   550,  1275,   553,   554,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
       0,     0,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   799,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   912,     0,   553,   554,     0,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,   913,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   915,
     545,   546,   547,     0,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   924,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,   925,   545,   546,   547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,     0,     0,   553,   554,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   926,
       0,   553,   554,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   548,   549,   550,
     553,   554,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   927,     0,   553,   554,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,   928,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   929,     0,     0,     0,   545,   546,   547,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   930,     0,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   553,   554,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   931,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   932,   545,   546,   547,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,     0,     0,
       0,   553,   554,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,     0,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   933,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,     0,     0,     0,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   934,     0,   553,   554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   545,   546,
     547,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   935,     0,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
     936,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
     937,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   545,   546,   547,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,   938,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,     0,
       0,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,     0,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,   940,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,     0,     0,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,   941,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,   943,     0,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,   944,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,   948,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   545,   546,   547,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   949,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,     0,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,   950,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,   951,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     545,   546,   547,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,   952,     0,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   953,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,   956,     0,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   545,   546,   547,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   957,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,     0,     0,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,   958,
       0,   553,   554,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,     0,     0,
       0,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   959,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   545,   546,   547,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,   960,     0,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,   963,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,  1076,     0,   553,   554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   545,   546,
     547,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
    1087,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,     0,   553,   554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,     0,     0,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
    1097,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,     0,
       0,     0,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,  1116,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,  1117,     0,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,  1119,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,  1125,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   545,
     546,   547,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,  1138,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,     0,     0,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,  1141,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
       0,     0,     0,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,  1142,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   545,   546,   547,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,  1148,     0,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,  1171,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,  1172,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     545,   546,   547,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,  1173,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,   545,   546,   547,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,     0,     0,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     548,   549,   550,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   551,   552,   545,   546,   547,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,  1174,     0,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,     0,     0,     0,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,  1203,
       0,   553,   554,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   545,   546,   547,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,  1214,
       0,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,  1215,   548,   549,   550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   551,
     552,   545,   546,   547,     0,   555,   556,   557,   558,   559,
     560,   561,     0,   562,     0,     0,  1217,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   545,   546,   547,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,  1225,   548,   549,   550,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   551,   552,   545,   546,
     547,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,     0,     0,     0,   553,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   548,   549,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,   552,   545,   546,   547,     0,     0,
       0,     0,   555,   556,   557,   558,   559,   560,   561,     0,
     562,     0,     0,  1228,     0,   553,   554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,     0,     0,     0,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
    1229,     0,   553,   554,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   545,   546,   547,     0,   555,
     556,   557,   558,   559,   560,   561,     0,   562,     0,     0,
    1239,     0,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,  1240,   548,   549,
     550,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     551,   552,   545,   546,   547,     0,   555,   556,   557,   558,
     559,   560,   561,     0,   562,     0,     0,  1243,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   545,   546,   547,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,  1247,   548,   549,   550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,   552,   545,
     546,   547,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,     0,     0,     0,   553,
     554,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   548,   549,   550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   551,   552,   545,   546,   547,     0,
       0,     0,     0,   555,   556,   557,   558,   559,   560,   561,
       0,   562,     0,     0,  1265,     0,   553,   554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,     0,     0,     0,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,  1270,     0,   553,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   545,   546,   547,     0,
     555,   556,   557,   558,   559,   560,   561,     0,   562,     0,
       0,  1271,     0,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,  1277,   548,
     549,   550,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   551,   552,   545,   546,   547,     0,   555,   556,   557,
     558,   559,   560,   561,     0,   562,     0,     0,  1278,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   545,   546,   547,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,  1279,   548,   549,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   551,   552,
     545,   546,   547,   548,   549,   550,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
     553,   554,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   548,   549,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,   552,     0,     0,     0,
       0,     0,     0,     0,   555,   556,   557,   558,   559,   560,
     561,     0,   562,     0,     0,  1280,     0,   553,   554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,  1281,     0,   553,   554,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   555,   556,   557,   558,   559,   560,   561,     0,   562,
       0,     0,  1287,     0,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   555,   556,
     557,   558,   559,   560,   561,     0,   562
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-593))

#define yytable_value_is_error(yytable_value) \
  YYID (0)

static const yytype_int16 yycheck[] =
{
       1,   230,     3,     4,     5,   540,     7,     8,   222,    10,
      87,    88,   232,    14,   222,   235,    17,   215,   215,    20,
     234,   215,    23,    24,    25,    26,   234,    35,    19,   414,
      31,   416,    23,    34,    35,    36,    37,   215,    39,   237,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
     229,   230,   230,    54,   233,   234,    57,   649,   215,   237,
     215,   216,   654,   215,    65,    66,    67,    68,   215,   216,
      71,   230,    73,    74,    75,   234,   231,    78,     3,     4,
      87,    88,   230,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,   229,   230,   229,   230,   233,   234,
     233,   234,    27,   230,   231,    30,    31,   234,    33,    34,
      35,    36,    37,    38,   232,    40,    41,   235,   653,   230,
      45,    46,   229,   230,   229,   230,   233,   234,   233,   234,
     230,    42,    43,    44,   230,   231,   230,   231,   234,   230,
     234,   229,    28,   234,   230,   233,   223,   224,   225,   226,
     215,   228,   215,   216,    79,    80,    42,    43,    44,   229,
      85,   229,   229,   233,   215,   233,   233,   215,   216,   215,
      95,    96,     0,    98,    99,   100,   215,   216,   233,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   229,    75,
      76,    77,   215,   216,   119,   120,   121,    20,   123,   215,
     216,    87,    88,   231,   232,   130,    42,    43,    44,   231,
     232,   231,   232,   204,   215,   232,   207,   230,   225,   226,
     230,   228,   231,   232,   222,   231,   232,   231,   232,   154,
     230,   230,   157,   158,   159,   160,   161,   162,   230,   232,
     230,   230,   167,   168,   230,   230,   230,   230,   173,   174,
     230,   176,   177,   230,   230,   180,   230,   182,   230,   230,
     185,    42,    43,    44,   189,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   199,   200,   201,   230,    87,    88,
     230,   206,   283,   230,   209,   210,   230,   230,   230,   230,
     215,   216,   230,   230,   230,   296,   297,   230,   230,   230,
     186,   187,   230,   304,   230,   215,   307,   230,   309,   220,
     221,   222,   313,   224,   315,   230,   317,   230,   319,   231,
     231,   232,    42,    43,    44,   326,   230,   230,   329,   230,
     230,   332,   230,   334,   220,   221,   222,   223,   224,   225,
     226,   342,   228,   344,   345,   346,   347,   230,   230,   350,
     230,   230,   353,   230,   230,   356,   230,   358,   230,   230,
     230,   230,   230,   364,   230,   366,   230,   230,   369,   230,
     371,   230,   230,   230,   230,   376,   230,   186,   187,   230,
     381,   230,   230,   230,   220,   221,   222,   230,   224,   230,
     230,   392,   230,   394,   231,   230,   397,   230,   230,   400,
     236,   402,   231,   404,   230,   406,   230,   408,   230,   230,
     230,   230,   230,   421,   223,   224,   225,   226,   230,   228,
     421,   422,   230,   424,   230,   230,   230,   230,   230,   230,
     230,   432,   433,   434,   435,   436,   230,   230,   973,   220,
     221,   222,   230,   224,   445,   446,   230,   448,   449,   450,
     451,   452,   453,   454,   230,   456,   457,   458,   459,   460,
     461,   230,   230,   464,   465,   466,   467,   230,    42,    43,
      44,   231,   231,    29,   230,   230,   477,   478,   479,   480,
     481,   482,   483,   484,   231,   231,    42,    43,    44,   231,
     228,   231,   231,   238,   231,    42,    43,    44,   231,   231,
     220,   221,   222,   231,   224,   231,   231,   231,    42,    43,
      44,   231,   232,    42,    43,    44,   517,   518,   519,    75,
      76,    77,   231,   524,   525,   231,   231,   231,   529,   231,
     231,    87,    88,    42,    43,    44,   231,   538,   539,   540,
     541,   231,   231,   231,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   231,   231,   231,    42,    43,    44,   231,   570,
     231,   572,   573,   231,   575,   231,   577,   231,   579,    42,
      43,    44,   231,   584,   231,   586,   231,   588,   589,   231,
     231,   231,   231,   231,   231,   231,   597,   598,   231,   600,
     231,   602,   231,   604,   231,   231,   231,   608,    42,    43,
      44,   612,   231,   614,   231,   616,   231,   618,    42,    43,
      44,   622,   623,   230,   625,   230,   230,   230,   629,   239,
     186,   187,   234,   634,   234,   224,   222,   638,   239,   238,
     222,    75,    76,    77,   235,   646,   220,   221,   222,   232,
     224,   235,   653,    87,    88,   235,   235,   231,   232,   222,
     222,   215,   231,    88,   220,   221,   222,   223,   224,   225,
     226,   429,   228,   220,   221,   222,   426,   224,   838,   428,
    1046,    -1,    -1,    -1,   231,   232,   220,   221,   222,    -1,
     224,   220,   221,   222,    -1,   224,    -1,   231,   232,    -1,
      -1,    -1,   231,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,   220,   221,   222,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,   231,   232,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,
      -1,    -1,    -1,   220,   221,   222,    -1,   224,    87,    88,
      -1,    -1,   186,   187,   231,   232,    -1,   220,   221,   222,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,   231,   232,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,   220,   221,   222,    -1,
     224,    -1,   236,    75,    76,    77,    -1,   231,   232,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   830,
      -1,   832,    -1,   834,    -1,    -1,    -1,   838,   839,    -1,
     841,    -1,   843,    -1,    -1,    -1,    -1,   186,   187,   850,
      -1,    -1,    -1,    -1,    -1,    -1,   857,    42,    43,    44,
     861,    -1,   863,    -1,   865,    -1,   867,    -1,   869,    -1,
     871,    -1,    -1,   874,    -1,   876,    -1,   878,    -1,    -1,
     881,   220,   221,   222,   223,   224,   225,   226,   889,   228,
      -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,   900,
      -1,    -1,   220,   221,   222,   906,   224,   908,   909,   910,
     911,    -1,    -1,   231,   186,   187,   917,   918,   919,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   946,   947,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   220,   221,   222,
     232,   224,    -1,   235,    -1,    -1,    -1,    -1,   231,   232,
      -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,    -1,
      -1,    -1,   983,    -1,   985,    -1,   987,    -1,   996,    -1,
     991,    -1,   993,     1,     2,   996,    -1,   998,    -1,  1000,
      -1,    -1,    -1,  1004,  1005,  1006,  1007,  1008,    -1,    -1,
      -1,  1012,    -1,  1014,    -1,    23,    24,  1018,    42,    43,
      44,  1022,  1023,    -1,  1025,    -1,    -1,    -1,    36,  1030,
      38,    39,    40,    -1,    -1,   220,   221,   222,    -1,   224,
      -1,  1042,    -1,    51,    -1,    -1,   231,   232,    56,    -1,
      58,    -1,    60,    61,    -1,    -1,    -1,    -1,    66,    67,
      -1,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,  1077,    -1,  1079,    -1,
    1081,    -1,    -1,    -1,  1085,    42,    43,    44,    -1,    -1,
    1091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,    -1,
      -1,  1102,    75,    76,    77,  1106,    -1,    -1,  1109,    -1,
    1111,    -1,    -1,  1114,    87,    88,    -1,  1118,    75,    76,
      77,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    -1,    -1,    -1,  1139,  1140,
      -1,    -1,    -1,  1144,    -1,  1146,  1147,    -1,    -1,    -1,
      -1,  1152,    -1,    -1,    -1,    -1,    -1,    -1,  1166,    42,
      43,    44,  1163,    -1,    -1,  1166,    -1,  1168,  1169,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,    -1,  1179,    -1,
      -1,  1182,    -1,    -1,  1185,    -1,    -1,    -1,    -1,    -1,
    1191,    -1,    42,    43,    44,    -1,   220,   221,   222,    -1,
     224,    -1,    -1,  1204,    -1,    -1,  1207,    -1,   232,    -1,
    1211,    -1,    -1,   186,   187,    -1,    -1,    -1,  1219,    -1,
    1221,    -1,    -1,    -1,    -1,  1226,    42,    43,    44,   186,
     187,  1232,    42,    43,    44,  1236,    -1,    -1,    -1,    -1,
      -1,  1242,    -1,  1244,  1252,  1246,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,  1259,   232,
      -1,    -1,   235,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,  1275,   232,    -1,    -1,   235,    -1,
      42,    43,    44,    -1,    -1,    42,    43,    44,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,   307,
      -1,   309,   220,   221,   222,    -1,   224,   315,    -1,   317,
      -1,   319,    -1,    -1,   232,    42,    43,    44,   326,    -1,
      -1,   329,    -1,    -1,   332,    -1,   334,    -1,    -1,    -1,
      -1,    42,    43,    44,   342,    -1,    -1,   220,   221,   222,
      -1,   224,   350,    -1,    -1,   353,    -1,    -1,   356,   232,
     358,   220,   221,   222,    -1,   224,   364,    -1,   366,    -1,
      -1,   369,   231,   371,    75,    76,    77,    -1,   376,    -1,
     220,   221,   222,   381,   224,    -1,    87,    88,    -1,    -1,
      -1,    -1,   232,    -1,   392,    -1,   394,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,   404,    -1,   406,    -1,
     408,    -1,    -1,    -1,   220,   221,   222,    -1,   224,    -1,
     220,   221,   222,    -1,   224,   423,   232,    -1,    -1,    42,
      43,    44,   232,    -1,    -1,    -1,    -1,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,    -1,
      42,    43,    44,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   463,    -1,   465,   220,   221,
     222,    -1,   224,   220,   221,   222,   474,   224,    -1,    -1,
     232,    -1,    -1,    -1,   231,   186,   187,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   232,    -1,   515,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,   527,
     528,   232,    -1,   531,   532,   533,   534,    -1,    -1,    -1,
     538,    -1,   540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   559,    -1,    -1,    -1,    -1,   564,   565,   566,   567,
     568,   569,   570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   591,    -1,   593,    -1,    -1,    -1,    -1,
     598,    -1,   600,    -1,   602,    -1,   604,   220,   221,   222,
      -1,   224,   610,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,   620,    -1,     5,     6,     7,    -1,   220,   221,
     222,    -1,   224,   220,   221,   222,    -1,   224,    -1,   637,
     232,    -1,   640,    -1,    -1,   232,   644,    42,    43,    44,
     648,    32,    -1,    -1,    -1,   653,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   662,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    42,    43,    44,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    87,
      88,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,    -1,    42,
      43,    44,    -1,    -1,    -1,   220,   221,   222,    -1,   224,
      -1,   212,   213,   214,   215,   216,    -1,   232,   186,   187,
      -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,   846,   230,
     848,   232,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   859,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,   869,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,   880,    -1,   232,    -1,   884,   235,   886,   887,
      -1,    -1,    -1,   891,    -1,    -1,    75,    76,    77,    -1,
     898,   899,    -1,    -1,   902,   903,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    -1,   922,   923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,    42,
      43,    44,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      42,    43,    44,    -1,   962,    -1,   964,   965,   966,   967,
      -1,   969,    -1,   971,    -1,   973,    -1,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    -1,   220,   221,   222,
      -1,   224,    -1,    -1,    -1,    87,    88,   186,   187,   232,
      -1,    75,    76,    77,  1012,    -1,    -1,    -1,  1016,    -1,
    1018,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1034,    42,    43,    44,
      -1,   220,   221,   222,   223,   224,   225,   226,  1046,   228,
    1048,    -1,    -1,   232,   186,   187,   235,    -1,    75,    76,
      77,    42,    43,    44,    -1,    -1,    42,    43,    44,    -1,
      87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,   220,   221,
     222,  1099,   224,   235,   186,   187,  1104,    -1,  1106,    -1,
     232,    -1,   220,   221,   222,    -1,   224,   220,   221,   222,
      -1,   224,   186,   187,   232,  1123,    -1,    -1,   231,  1127,
    1128,    -1,    -1,  1131,  1132,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,  1150,   235,    -1,  1153,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,    -1,   186,
     187,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1194,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,    -1,   220,   221,   222,   235,   224,
      -1,    -1,    -1,  1221,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,    -1,    -1,    -1,   220,
     221,   222,    -1,   224,   220,   221,   222,    -1,   224,    -1,
      -1,   232,    -1,   220,   221,   222,   232,   224,    -1,  1257,
      32,    -1,   220,   221,   222,   232,   224,    42,    43,    44,
      -1,    -1,    -1,   231,  1272,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,
      82,    83,    84,    -1,    86,    -1,    -1,    89,    90,    91,
      92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,    -1,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,
      -1,   163,   164,   165,   166,    -1,    -1,   169,   170,   171,
     172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,
      -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,     5,     6,     7,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,   214,   215,   216,   220,   221,   222,    -1,   224,
      -1,   223,    -1,    -1,    32,    -1,    -1,   232,   230,    -1,
     232,    42,    43,    44,    -1,    -1,    -1,   239,    -1,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    -1,    -1,    -1,
      78,    -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,
      -1,    89,    90,    91,    92,    93,    94,    -1,    -1,    97,
      -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,   156,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,
      -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,
     178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,   220,
     221,   222,    -1,   224,    -1,   223,    -1,    -1,    32,    -1,
      -1,   232,   230,    -1,    -1,    42,    43,    44,    -1,   237,
      -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,
      84,    -1,    86,    -1,    -1,    89,    90,    91,    92,    93,
      94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,   165,   166,    -1,    -1,   169,   170,   171,   172,    -1,
      -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,
     184,    -1,    -1,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,     5,     6,     7,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
     214,   215,   216,   220,   221,   222,    -1,   224,    -1,   223,
      -1,    -1,    32,    -1,    -1,   232,   230,    -1,    -1,    42,
      43,    44,    -1,   237,    -1,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,
      -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,    89,
      90,    91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,   115,   116,   117,   118,    -1,
      -1,    -1,   122,    -1,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,
      -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,
     170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,
      -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,     5,
       6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,   214,   215,   216,   220,   221,   222,
      -1,   224,    -1,   223,    -1,    -1,    32,    -1,    -1,   232,
     230,    -1,    -1,    42,    43,    44,    -1,   237,    -1,    -1,
      -1,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    -1,
      -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,
      86,    -1,    -1,    89,    90,    91,    92,    93,    94,    -1,
      -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,
     116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,
     166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,
      -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,
      -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   220,   221,   222,    -1,   224,    -1,   223,    -1,    -1,
      32,    -1,    -1,   232,   230,    -1,    -1,    42,    43,    44,
      -1,   237,    -1,    -1,    -1,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,
      82,    83,    84,    -1,    86,    -1,    -1,    89,    90,    91,
      92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,    -1,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,
      -1,   163,   164,   165,   166,    -1,    -1,   169,   170,   171,
     172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,
      -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,     5,     6,     7,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,   214,   215,   216,   220,   221,   222,    -1,   224,
      -1,   223,    -1,    -1,    32,    -1,    -1,   232,   230,    -1,
      -1,    42,    43,    44,    -1,   237,    -1,    -1,    -1,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    -1,    -1,    -1,
      78,    -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,
      -1,    89,    90,    91,    92,    93,    94,    -1,    -1,    97,
      -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,   156,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,
      -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,
     178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,
     188,    -1,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,   220,
     221,   222,    -1,   224,    -1,   223,    -1,    -1,    32,    -1,
      -1,   232,   230,   231,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,
      84,    -1,    86,    -1,    -1,    89,    90,    91,    92,    93,
      94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,   165,   166,    -1,    -1,   169,   170,   171,   172,    -1,
      -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,
     184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,     5,     6,     7,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
     214,   215,   216,   220,   221,   222,    -1,   224,    -1,   223,
      -1,    -1,    32,    -1,   231,    -1,   230,   231,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,
      -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,    89,
      90,    91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,   115,   116,   117,   118,    -1,
      -1,    -1,   122,    -1,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,
      -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,
     170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,
      -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,     5,
       6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,   214,   215,   216,   220,   221,   222,
      -1,   224,    -1,   223,    -1,    -1,    32,    -1,   231,    -1,
     230,   231,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    -1,
      -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,
      86,    -1,    -1,    89,    90,    91,    92,    93,    94,    -1,
      -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,
     116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,
     166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,
      -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,
      -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   220,   221,   222,    -1,   224,    -1,   223,    -1,    -1,
      32,    -1,   231,    -1,   230,   231,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,
      82,    83,    84,    -1,    86,    -1,    -1,    89,    90,    91,
      92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,    -1,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,
      -1,   163,   164,   165,   166,    -1,    -1,   169,   170,   171,
     172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,
      -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,     5,     6,     7,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,   214,   215,   216,   220,   221,   222,    -1,   224,
      -1,   223,    -1,    -1,    32,    -1,   231,    -1,   230,   231,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    -1,    -1,    -1,
      78,    -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,
      -1,    89,    90,    91,    92,    93,    94,    -1,    -1,    97,
      -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,   156,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,
      -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,
     178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,
     188,    -1,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,   220,
     221,   222,    -1,   224,    -1,   223,    -1,    -1,    32,    -1,
     231,    -1,   230,   231,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,
      84,    -1,    86,    -1,    -1,    89,    90,    91,    92,    93,
      94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,   165,   166,    -1,    -1,   169,   170,   171,   172,    -1,
      -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,
     184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,     5,     6,     7,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
     214,   215,   216,   220,   221,   222,    -1,   224,    -1,   223,
      -1,    -1,    32,    -1,   231,    -1,   230,   231,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,
      -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,    89,
      90,    91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,   115,   116,   117,   118,    -1,
      -1,    -1,   122,    -1,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,
      -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,
     170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,
      -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,     5,
       6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,   214,   215,   216,   220,   221,   222,
      -1,   224,    -1,   223,    -1,    -1,    32,    -1,   231,    -1,
     230,   231,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    -1,
      -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,
      86,    -1,    -1,    89,    90,    91,    92,    93,    94,    -1,
      -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,
     116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,
     166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,
      -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,
      -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   220,   221,   222,    -1,   224,    -1,   223,    -1,    -1,
      32,    -1,   231,    -1,   230,   231,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,
      82,    83,    84,    -1,    86,    -1,    -1,    89,    90,    91,
      92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,    -1,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,
      -1,   163,   164,   165,   166,    -1,    -1,   169,   170,   171,
     172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,
      -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,     5,     6,     7,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,   214,   215,   216,   220,   221,   222,    -1,   224,
      -1,   223,    -1,    -1,    32,    -1,   231,    -1,   230,   231,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    -1,    -1,    -1,
      78,    -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,
      -1,    89,    90,    91,    92,    93,    94,    -1,    -1,    97,
      -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,   156,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,
      -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,
     178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,
     188,    -1,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,   220,
     221,   222,    -1,   224,    -1,   223,    -1,    -1,    32,    -1,
     231,    -1,   230,   231,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,
      84,    -1,    86,    -1,    -1,    89,    90,    91,    92,    93,
      94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,   115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,   165,   166,    -1,    -1,   169,   170,   171,   172,    -1,
      -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,
     184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,     5,     6,     7,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
     214,   215,   216,   220,   221,   222,    -1,   224,    -1,   223,
      -1,    -1,    32,    -1,   231,    -1,   230,   231,    -1,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,
      -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,    89,
      90,    91,    92,    93,    94,    -1,    -1,    97,    42,    43,
      44,   101,   102,   103,    42,    43,    44,    -1,    -1,    -1,
      42,    43,    44,   113,   114,   115,   116,   117,   118,    -1,
      -1,    -1,   122,    -1,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,   156,    -1,    -1,    42,
      43,    44,    -1,   163,   164,   165,   166,    -1,    -1,   169,
     170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,
      -1,   181,    -1,   183,   184,    42,    43,    44,   188,    -1,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,   214,   215,   216,    -1,   220,   221,
     222,    -1,   224,   223,    -1,    -1,    -1,     3,     4,   231,
     230,   231,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    -1,    21,    22,    23,    24,    25,
      26,    27,    -1,    -1,    30,    31,    -1,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    -1,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,    -1,
     224,    -1,   220,   221,   222,    -1,   224,   231,   220,   221,
     222,    -1,   224,   231,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,
      96,    -1,    98,    99,   100,    -1,    -1,    -1,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   220,   221,   222,
      -1,   224,    -1,   119,   120,   121,    -1,   123,   231,    -1,
      42,    43,    44,    -1,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,   154,    -1,
      -1,   157,   158,   159,   160,   161,   162,    -1,    42,    43,
      44,   167,   168,    -1,    -1,    -1,    -1,   173,   174,    -1,
     176,   177,    -1,    -1,   180,    -1,   182,    -1,    -1,   185,
      -1,    -1,    -1,   189,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,   199,   200,   201,    -1,    -1,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,    -1,    -1,   215,
     216,    32,    -1,   219,    -1,    -1,    -1,    -1,    42,    43,
      44,    -1,    -1,   229,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,   220,   221,
     222,   122,   224,   124,   125,   126,   127,   128,   129,   231,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,   220,   221,   222,    -1,
     224,    -1,   163,   164,   165,   166,    -1,   231,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   220,   221,   222,    -1,
     224,    -1,   223,    -1,    -1,    32,    -1,   231,    -1,   230,
      -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
     220,   221,   222,    -1,   224,    -1,   223,    -1,    -1,    32,
      -1,   231,    -1,   230,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,   220,   221,   222,    -1,   224,    -1,
     223,    -1,    -1,    32,    -1,   231,    -1,   230,    -1,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,   220,   221,
     222,    -1,   224,    -1,   223,    -1,    -1,    32,    -1,   231,
      -1,   230,    -1,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,   220,   221,   222,    -1,   224,    -1,   223,    -1,
      -1,    32,    -1,   231,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,     5,     6,     7,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    32,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    78,    -1,    -1,    81,    82,
      83,    84,    -1,    86,    -1,    -1,    89,    90,    91,    92,
      93,    94,    -1,    -1,    97,    -1,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,    -1,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,   169,   170,   171,   172,
      -1,    -1,   175,    -1,    -1,   178,   179,    -1,   181,    -1,
     183,   184,    -1,    -1,    -1,   188,    -1,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,     5,     6,     7,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   214,   215,   216,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    32,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    -1,    78,
      -1,    -1,    81,    82,    83,    84,    -1,    86,    -1,    -1,
      89,    90,    91,    92,    93,    94,    -1,    -1,    97,    -1,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,   118,
      -1,    -1,    -1,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,   165,   166,    -1,    -1,
     169,   170,   171,   172,    -1,    -1,   175,    -1,    -1,   178,
     179,    -1,   181,    -1,   183,   184,    -1,    -1,    -1,   188,
      -1,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
       5,     6,     7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    32,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    78,    -1,    -1,    81,    82,    83,    84,
      -1,    86,    -1,    -1,    89,    90,    91,    92,    93,    94,
      -1,    -1,    97,    -1,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,    -1,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,    -1,    -1,    -1,    -1,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,   169,   170,   171,   172,    -1,    -1,
     175,    -1,    -1,   178,   179,    -1,   181,    -1,   183,   184,
      -1,    -1,    -1,   188,    -1,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,     5,     6,     7,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   214,
     215,   216,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    32,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    -1,    -1,    -1,    78,    -1,    -1,
      81,    82,    83,    84,    -1,    86,    -1,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    97,    -1,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
      -1,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,   156,    -1,    -1,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,   169,   170,
     171,   172,    -1,    -1,   175,    -1,    -1,   178,   179,    -1,
     181,    -1,   183,   184,    -1,    -1,    -1,   188,    -1,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,   214,   215,   216,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    32,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    -1,    -1,
      -1,    78,    -1,    -1,    81,    82,    83,    84,    -1,    86,
      -1,    -1,    89,    90,    91,    92,    93,    94,    -1,    -1,
      97,    -1,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,    -1,    -1,    -1,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,   165,   166,
      -1,    -1,   169,   170,   171,   172,    -1,    -1,   175,    -1,
      -1,   178,   179,    -1,   181,    -1,   183,   184,    -1,    -1,
      -1,   188,    -1,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,   214,   215,   216,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,     3,
       4,    -1,    -1,   230,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    -1,    21,    22,    23,
      24,    25,    26,    27,    -1,    -1,    30,    31,    -1,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    -1,    -1,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    96,    -1,    98,    99,   100,    -1,    -1,    -1,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
      -1,    -1,    -1,    -1,    -1,   119,   120,   121,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,    -1,    -1,   167,   168,    -1,    -1,    -1,    -1,   173,
     174,    -1,   176,   177,    -1,    -1,   180,    -1,   182,    -1,
      -1,   185,    -1,    -1,    -1,   189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   199,   200,   201,    -1,    -1,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,    -1,
      -1,   215,   216,     3,     4,   219,    -1,    -1,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      -1,    21,    22,    23,    24,    25,    26,    27,    -1,    -1,
      30,    31,    -1,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    -1,    -1,    -1,    45,    46,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    75,    76,    77,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    95,    96,    -1,    98,    99,
     100,    75,    76,    77,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    87,    88,    -1,    -1,    -1,    -1,   119,
     120,   121,    -1,   123,    -1,    42,    43,    44,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   154,    -1,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,    -1,    -1,   167,   168,    -1,
      87,    88,    -1,   173,   174,    -1,   176,   177,    -1,    -1,
     180,    -1,   182,    -1,    -1,   185,    -1,    -1,    -1,   189,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,   199,
     200,   201,    -1,    -1,   204,   205,   206,   207,   208,   209,
     210,    -1,   186,   187,    -1,   215,   216,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,    42,    43,
      44,   235,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    75,    76,    77,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    87,    88,   186,
     187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    42,    43,    44,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,   235,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    75,    76,    77,    -1,   186,
     187,   235,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,   232,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,   232,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,   232,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,   232,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,   186,   187,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,   232,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,   232,
     186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,   232,   186,   187,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,   232,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,   232,    42,    43,    44,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,   232,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      44,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,   232,   186,   187,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    75,    76,    77,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,   232,   186,   187,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    75,   231,
     232,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,   232,    -1,
      -1,    42,    43,    44,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,   232,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   187,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,   232,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,   232,   186,
     187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    42,    43,    44,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    75,    76,    77,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,   232,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    76,    77,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,   232,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,   232,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,   232,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
     232,   186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,   232,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
     232,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,   232,   186,   187,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,   232,   186,   187,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    75,    76,    77,   232,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    42,    43,    44,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    42,    43,    44,   232,    -1,
      -1,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    75,    76,    77,   232,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    42,    43,    44,   232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,   232,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    42,    43,
      44,   232,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    75,    76,    77,   232,    -1,    -1,    -1,   186,
     187,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    75,    76,
      77,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   186,   187,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    42,    43,    44,   232,
      -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    75,    76,    77,   232,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    75,
      76,    77,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,    -1,   232,   186,   187,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    75,
      76,    77,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    -1,    42,    43,    44,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,   232,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     186,   187,    87,    88,    -1,    -1,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    42,
      43,    44,   232,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    44,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,    -1,   232,    42,    43,
      44,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,    -1,   232,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,   186,   187,    -1,    87,    88,    -1,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    42,    43,
      44,   232,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    75,    76,    77,   232,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,    -1,   232,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    42,    43,    44,   232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,   186,   187,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    42,
      43,    44,   232,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    75,    76,    77,   232,    -1,    -1,    -1,   186,
     187,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    75,    76,
      77,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,   186,   187,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   186,   187,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,
     186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    42,    43,    44,   232,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    75,
      76,    77,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    42,    43,    44,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    75,
      76,    77,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    75,    76,    77,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    42,    43,    44,   232,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    75,    76,    77,   232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,    -1,   232,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    42,    43,    44,
     232,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    75,    76,    77,   232,    -1,    -1,    -1,
     186,   187,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    42,    43,    44,   232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,    -1,   232,   186,   187,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    42,    43,    44,
     232,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    75,    76,    77,   232,    -1,    -1,
     186,   187,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
      75,    76,    77,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,   232,   186,   187,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      75,    76,    77,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      42,    43,    44,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,   186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    42,    43,
      44,   232,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,    -1,   232,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,    -1,   232,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    42,    43,    44,   232,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    75,    76,    77,
     232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,   186,   187,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,   186,
     187,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,    -1,   232,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,    -1,   232,    42,    43,    44,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
      -1,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,   232,   186,   187,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,
      -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    75,    76,    77,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,    -1,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,    -1,   232,   186,   187,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,   232,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,   232,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,    -1,   232,    -1,    -1,    75,    76,    77,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    42,    43,    44,   232,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    75,    76,    77,   232,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    75,    76,    77,   232,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      42,    43,    44,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,   186,   187,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      -1,   186,   187,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    75,    76,    77,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    -1,    -1,    -1,    42,    43,    44,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    42,    43,    44,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      44,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    43,    44,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,    -1,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,
     187,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,    -1,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
     186,   187,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
      -1,   186,   187,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    44,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,   186,   187,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,
     187,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    -1,    -1,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,   186,   187,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,
     186,   187,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,   186,   187,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,   231,
      -1,   186,   187,    -1,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    75,    76,    77,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    42,    43,    44,    -1,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    44,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    75,    76,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,    43,
      44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,    -1,
      -1,    -1,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,   186,   187,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    43,    44,    -1,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,    -1,    -1,
     231,    -1,   186,   187,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    75,    76,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    42,    43,    44,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    44,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    75,    76,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    42,
      43,    44,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    42,    43,    44,    -1,
      -1,    -1,    -1,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,   186,   187,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,    -1,
      -1,   231,    -1,   186,   187,    -1,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    75,
      76,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    42,    43,    44,    -1,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,    -1,    -1,   231,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    75,    76,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      42,    43,    44,    75,    76,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
     186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,    -1,    -1,   231,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
      -1,    -1,   231,    -1,   186,   187,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,   225,   226,    -1,   228
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     3,     4,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    21,    22,    23,    24,    25,
      26,    27,    30,    31,    33,    34,    35,    36,    37,    38,
      40,    41,    45,    46,    79,    80,    85,    95,    96,    98,
      99,   100,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   119,   120,   121,   123,   130,   154,   157,   158,   159,
     160,   161,   162,   167,   168,   173,   174,   176,   177,   180,
     182,   185,   189,   199,   200,   201,   204,   205,   206,   207,
     208,   209,   210,   215,   216,   219,   241,   242,   243,   244,
     245,   246,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,     5,     6,     7,    32,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    78,    81,    82,    83,    84,
      86,    89,    90,    91,    92,    93,    94,    97,   101,   102,
     103,   113,   114,   115,   116,   117,   118,   122,   124,   125,
     126,   127,   128,   129,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   155,   156,   163,
     164,   165,   166,   169,   170,   171,   172,   175,   178,   179,
     181,   183,   184,   188,   190,   191,   193,   194,   196,   197,
     198,   212,   213,   214,   215,   216,   223,   230,   346,   347,
     215,   216,   346,   347,   230,   346,   347,   230,   346,   230,
     346,   215,   230,   237,   342,   230,   346,   230,   346,   230,
     346,   346,   346,   346,   215,   215,   230,   346,   347,   230,
     346,   347,   230,   346,   230,   346,   215,   215,    19,    23,
     204,   207,   230,   346,   215,   216,   215,   216,   346,   215,
     230,   342,   346,   230,   346,   347,   230,   346,   230,   347,
     346,   347,   347,   346,   230,   346,   230,   346,   346,   230,
     346,   230,   346,   346,   346,   346,   230,   346,   347,   230,
     230,   230,   346,   230,   347,   346,   347,   230,   347,   347,
     230,   215,   230,   346,   230,   346,   347,   230,   346,   347,
     230,   346,   230,   347,   230,   347,   230,   346,   230,   347,
     346,   346,   346,   215,   216,   346,   215,   215,   215,   216,
     248,   222,   234,   222,   234,     0,   229,   244,   233,    20,
     232,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   346,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
     346,   230,   230,   230,   230,   230,   230,   230,   230,   234,
     230,   234,   346,   346,   347,    42,    43,    44,    75,    76,
      77,    87,    88,   186,   187,   220,   221,   222,   223,   224,
     225,   226,   228,   236,    42,    43,    44,   220,   221,   222,
     224,   236,   234,   234,   346,   232,   346,   232,   346,   232,
     215,   343,   346,   346,   232,   346,   232,   346,   232,   222,
     346,   232,   346,   232,   231,   231,   346,   232,   230,   346,
     230,   346,   230,   346,   230,   346,   215,   346,   232,   346,
     232,   346,   232,   347,   232,   346,   232,   346,   232,   346,
     232,   346,   232,   232,   346,   232,   231,   231,   346,   232,
     231,   231,   231,   346,   232,   346,   347,   232,   232,   346,
     232,   231,   346,   347,   232,   346,   232,   347,   232,   230,
     247,   247,   247,   230,   232,   192,   195,   342,   346,   346,
     192,   195,   237,   341,   347,   346,   241,    40,   264,   263,
     215,   216,   231,   346,   346,   231,   346,   346,   347,   346,
     347,   347,   347,   347,   347,   347,   347,   347,   346,   346,
     231,   346,   346,   346,   346,   346,   346,   346,   231,   346,
     346,   346,   346,   346,   346,   347,   346,   346,   347,   231,
     346,   231,   346,   231,   231,   231,   231,   231,   231,   347,
     231,   231,   346,   346,   346,   346,   346,   346,   346,   231,
     346,   347,   231,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   231,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   231,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   347,   231,   346,   346,   346,   231,   231,   231,
     231,   231,   346,   231,   346,   231,   347,   347,   346,   347,
     347,   347,   347,   215,   216,   231,   231,   231,   345,   346,
     347,   232,   239,   346,   231,   345,   232,   239,   346,   231,
     231,   346,   346,   346,   346,   346,   346,   346,   346,   346,
     346,   346,   346,   346,   346,   346,   347,   346,   346,   346,
     347,   347,   347,   347,   347,   347,   346,   347,   346,   346,
     232,   346,   232,   346,   232,   346,   231,   238,   232,   232,
     346,   232,   346,   232,   346,   346,   232,   347,   232,   347,
     232,   346,   346,   346,   346,   346,   231,   232,   346,   232,
     347,   232,   346,   232,   346,   232,   346,   232,   346,   232,
     347,   232,   346,   346,   232,   346,   232,   346,   232,   346,
     232,   232,   347,   346,   232,   347,   232,   232,   347,   232,
     346,   232,   347,   231,   248,   231,   345,   248,   230,   230,
     232,   235,   230,   230,   344,   347,   232,   235,   234,   234,
     232,   232,   231,   231,   231,   231,   231,   232,   232,   232,
     231,   231,   232,   232,   231,   231,   231,   231,   231,   231,
     231,   231,   231,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   231,   231,   231,   231,   232,   232,   231,   231,
     231,   231,   231,   231,   231,   231,   231,   231,   231,   231,
     231,   231,   232,   231,   232,   232,   232,   232,   231,   232,
     231,   232,   231,   232,   239,   232,   235,   232,   235,   231,
     239,   232,   235,   232,   235,   232,   235,   232,   235,   346,
     346,   232,   346,   232,   343,   346,   232,   346,   232,   346,
      28,   347,   347,   346,   232,   232,   232,   232,   232,   346,
     347,   346,   232,   346,   232,   346,   232,   346,   232,   346,
     347,   346,   232,   232,   346,   232,   346,   346,   347,   346,
     232,   347,   347,   347,   232,   346,   347,   231,   231,   347,
     347,   346,   222,   347,   347,   238,   232,   346,   222,   346,
     346,   346,   346,   346,   346,   346,   347,   347,   346,   346,
     347,   347,   347,   347,   347,   347,   347,   345,   235,   235,
     346,   235,   235,   346,   346,   346,   231,   232,   346,   232,
     346,   232,   215,   342,   346,   232,   346,   231,   346,   231,
     231,   232,   346,   346,   346,   346,   346,   231,   231,   232,
     346,   347,   232,   346,   232,   347,   232,   346,   347,   232,
     231,   232,   346,   346,   232,   346,   231,   231,   232,   231,
     346,   231,   231,   232,   347,   231,   231,   232,   232,   235,
     346,   232,   232,   344,   235,   347,   235,   235,   231,   232,
     232,   231,   231,   231,   232,   231,   232,   232,   231,   231,
     232,   231,   232,   232,   231,   231,   231,   235,   235,   235,
     235,   346,   346,   232,   215,   346,   232,   346,   232,    29,
     346,   231,   231,   231,   231,   346,   347,   346,   347,   232,
     346,   347,   232,   346,   346,   232,   346,   346,   347,   347,
     347,   222,   347,   347,   222,   346,   346,   346,   346,   346,
     347,   346,   347,   231,   232,   346,   231,   232,   215,   342,
     346,   232,   346,   346,   231,   231,   231,   231,   231,   232,
     346,   232,   231,   346,   347,   231,   232,   346,   231,   231,
     231,   231,   232,   231,   346,   231,   232,   231,   347,   231,
     231,   231,   232,   231,   232,   231,   232,   231,   231,   346,
     215,   346,   232,   346,   346,   346,   347,   232,   346,   232,
     346,   346,   346,   346,   346,   231,   231,   232,   215,   342,
     231,   231,   232,   231,   347,   232,   346,   231,   231,   231,
     231,   231,   215,   347,   346,   231,   231,   231
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* This macro is provided for backward compatibility. */

#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 6:

/* Line 1806 of yacc.c  */
#line 368 "basicParse.y"
    { labeltable[(yyvsp[(1) - (1)].number)] = byteOffset; lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 371 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 372 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 373 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 374 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 375 "basicParse.y"
    {
		// push to iftable the byte location of the end of the last stmt (top of loop)
		newIf(lastLineOffset, linenumber-1, IFTABLETYPEWHILE);
		lastLineOffset = byteOffset; 
		addIntOp(OP_CURRLINE, linenumber);
	}
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 381 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 382 "basicParse.y"
    {
		// push to iftable the byte location of the end of the last stmt (top of loop)
		newIf(lastLineOffset, linenumber, IFTABLETYPEDO);
		lastLineOffset = byteOffset;
		addIntOp(OP_CURRLINE, linenumber);
	}
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 388 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 389 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 390 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 391 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 392 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 393 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 395 "basicParse.y"
    { lastLineOffset = byteOffset; addIntOp(OP_CURRLINE, linenumber); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 398 "basicParse.y"
    {
		if (numifs>0) {
			errorcode = COMPERR_FUNCTIONNOTHERE;
			return -1;
		}
		// $2 is the symbol for the function - add the start to the label table
		functionDefSymbol = (yyvsp[(2) - (3)].number);
		addOp(OP_END); 
		labeltable[(yyvsp[(2) - (3)].number)] = byteOffset;
		lastLineOffset = byteOffset;
		newIf(0, linenumber, IFTABLETYPEFUNCTION);
		// initialize return variable
		addIntOp(OP_PUSHINT, 0);
		addIntOp(OP_NUMASSIGN, (yyvsp[(2) - (3)].number));
		// check to see if there are enough values on the stack
		addIntOp(OP_PUSHINT, numargs);
		addOp(OP_ARGUMENTCOUNTTEST);
		// add the assigns of the function arguments
		addOp(OP_INCREASERECURSE);
		{ 	int t;
			for(t=numargs-1;t>=0;t--) {
				if (argstype[t]==ARGSTYPEINT) {
					addIntOp(OP_NUMASSIGN, args[t]);
				} else {
					addIntOp(OP_STRINGASSIGN, args[t]);
				}
			}
		}
		numargs=0;	// clear the list for next function
	}
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 429 "basicParse.y"
    {
		if (numifs>0) {
			errorcode = COMPERR_FUNCTIONNOTHERE;
			return -1;
		}
		// $2 is the symbol for the function - add the start to the label table
		functionDefSymbol = (yyvsp[(2) - (3)].number);
		addOp(OP_END); 
		labeltable[(yyvsp[(2) - (3)].number)] = byteOffset;
		lastLineOffset = byteOffset;
		newIf(0, linenumber, IFTABLETYPEFUNCTION);
		// initialize return variable
		addStringOp(OP_PUSHSTRING, "");
		addIntOp(OP_STRINGASSIGN, (yyvsp[(2) - (3)].number));
		// check to see if there are enough values on the stack
		addIntOp(OP_PUSHINT, numargs);
		addOp(OP_ARGUMENTCOUNTTEST);
		addOp(OP_INCREASERECURSE);
		{ 	int t;
			for(t=numargs-1;t>=0;t--) {
				if (argstype[t]==ARGSTYPEINT) {
					addIntOp(OP_NUMASSIGN, args[t]);
				} else {
					addIntOp(OP_STRINGASSIGN, args[t]);
				}
			}
		}
		numargs=0;	// clear the list for next function
	}
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 460 "basicParse.y"
    {
		if (numifs>0) {
			errorcode = COMPERR_FUNCTIONNOTHERE;
			return -1;
		}
		// $2 is the symbol for the subroutine - add the start to the label table
		subroutineDefSymbol = (yyvsp[(2) - (3)].number);
		addOp(OP_END); 
		labeltable[(yyvsp[(2) - (3)].number)] = byteOffset;
		lastLineOffset = byteOffset;
		newIf(0, linenumber, IFTABLETYPEFUNCTION);
		// check to see if there are enough values on the stack
		addIntOp(OP_PUSHINT, numargs);
		addOp(OP_ARGUMENTCOUNTTEST);
		// add the assigns of the function arguments
		addOp(OP_INCREASERECURSE);
		{ 	int t;
			for(t=numargs-1;t>=0;t--) {
				if (argstype[t]==ARGSTYPEINT) {
					addIntOp(OP_NUMASSIGN, args[t]);
				} else {
					addIntOp(OP_STRINGASSIGN, args[t]);
				}
			}
		}
		numargs=0;	// clear the list for next function
	}
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 493 "basicParse.y"
    {
		args[numargs] = (yyvsp[(1) - (1)].number); argstype[numargs] = ARGSTYPEINT; numargs++;
		//printf("functionvariable %i %i %i\n", args[numargs-1], argstype[numargs-1],numargs); 
	}
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 497 "basicParse.y"
    {
		args[numargs] = (yyvsp[(1) - (1)].number); argstype[numargs] = ARGSTYPESTR; numargs++;
		//printf("functionvariable %i %i %i\n", args[numargs-1], argstype[numargs-1],numargs); 
	}
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 508 "basicParse.y"
    {
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPEFUNCTION) {
			addIntOp(OP_PUSHVAR, functionDefSymbol);
			addOp(OP_DECREASERECURSE);
			functionDefSymbol = -1; 
			addOp(OP_RETURN);
			numifs--;
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_ENDFUNCTION;
		return -1;
	}
}
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 530 "basicParse.y"
    {
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPEFUNCTION) {
			addOp(OP_DECREASERECURSE);
			subroutineDefSymbol = -1; 
			addOp(OP_RETURN);
			numifs--;
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_ENDFUNCTION;
		return -1;
	}
}
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 550 "basicParse.y"
    {
	// if there is an if branch or jump on the iftable stack get where it is
	// in the bytecode array and then put the current bytecode address there
	// - so we can jump over code
	if (numifs>0) {
		unsigned int *temp = NULL;
		numifs--;
		temp = (unsigned int *) (byteCode + iftable[numifs]);
		*temp = byteOffset;
	}
}
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 564 "basicParse.y"
    {
		// there is nothing to do with a multi line if (ifexp handles it)
	}
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 570 "basicParse.y"
    {
	unsigned int elsegototemp = 0;
	// on else create a jump point to the endif
	addIntOp(OP_PUSHINT, 0);	// false - always jump before else to endif
	addOp(OP_BRANCH);
	elsegototemp = addInt(0);
	// resolve the false jump on the if to the current location
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPEIF) {
			unsigned int *temp = NULL;
			numifs--;
			temp = (unsigned int *) (byteCode + iftable[numifs]);
			*temp = byteOffset; 
			// now add the elsegoto jump to the iftable
			newIf(elsegototemp, linenumber, IFTABLETYPEELSE);
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_ELSE;
		return -1;
	}
}
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 601 "basicParse.y"
    {
	// if there is an if branch or jump on the iftable stack get where it is
	// in the bytecode array and then put the current bytecode address there
	// - so we can jump over code
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPEIF||iftabletype[numifs-1]==IFTABLETYPEELSE) {
			unsigned int *temp = NULL;
			numifs--;
			temp = (unsigned int *) (byteCode + iftable[numifs]);
			*temp = byteOffset; 
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_ENDIF;
		return -1;
	}
}
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 624 "basicParse.y"
    {
	// create temp
	//if true, don't branch. If false, go to next line do the loop.
	addOp(OP_BRANCH);
	// after branch add a placeholder for the final end of the loop
	// it will be resolved in the endwhile statement, push the
	// location of this location on the iftable
	newIf(addInt(0), linenumber-1, IFTABLETYPEWHILE);
}
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 639 "basicParse.y"
    {
	// there should be two bytecode locations.  the TOP is the
	// location to jump to at the top of the loopthe , TOP-1 is the location
	// the exit jump needs to be written back to jump point on WHILE
	if (numifs>1) {
		if (iftabletype[numifs-1]==IFTABLETYPEWHILE) {
			unsigned int *temp = NULL;
			addIntOp(OP_PUSHINT, 0);	// false - always jump back to the beginning
			addIntOp(OP_BRANCH, iftable[numifs-1]);
			// resolve the false jump on the while to the current location
			temp = (unsigned int *) (byteCode + iftable[numifs-2]);
			*temp = byteOffset; 
			numifs-=2;
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_ENDWHILE;
		return -1;
	}
}
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 665 "basicParse.y"
    {
		// need nothing done at top of a do
	}
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 671 "basicParse.y"
    {
	// create temp
	//if If false, go to to the corresponding do.
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPEDO) {
			addIntOp(OP_BRANCH, iftable[numifs-1]);
			numifs--;
		} else {
			errorcode = testIfOnTableError();
			linenumber = testIfOnTable();
			return -1;
		}
	} else {
		errorcode = COMPERR_UNTIL;
		return -1;
	}
}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 768 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); addIntOp(OP_DIM, (yyvsp[(2) - (3)].number)); }
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 769 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); addIntOp(OP_DIMSTR, (yyvsp[(2) - (3)].number)); }
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 770 "basicParse.y"
    { addIntOp(OP_DIM, (yyvsp[(2) - (7)].number)); }
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 771 "basicParse.y"
    { addIntOp(OP_DIMSTR, (yyvsp[(2) - (7)].number)); }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 774 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); addIntOp(OP_REDIM, (yyvsp[(2) - (3)].number)); }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 775 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); addIntOp(OP_REDIMSTR, (yyvsp[(2) - (3)].number)); }
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 776 "basicParse.y"
    { addIntOp(OP_REDIM, (yyvsp[(2) - (7)].number)); }
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 777 "basicParse.y"
    { addIntOp(OP_REDIMSTR, (yyvsp[(2) - (7)].number)); }
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 780 "basicParse.y"
    { addOp(OP_PAUSE); }
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 783 "basicParse.y"
    { addOp(OP_THROWERROR); }
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 786 "basicParse.y"
    { addOp(OP_CLS); }
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 787 "basicParse.y"
    { addOp(OP_CLG); }
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 790 "basicParse.y"
    { addOp(OP_FASTGRAPHICS); }
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 793 "basicParse.y"
    { addOp(OP_GRAPHSIZE); }
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 794 "basicParse.y"
    { addOp(OP_GRAPHSIZE); }
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 797 "basicParse.y"
    { addOp(OP_REFRESH); }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 800 "basicParse.y"
    { addOp(OP_END); }
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 804 "basicParse.y"
    {
	//if true, don't branch. If false, go to next line.
	addOp(OP_BRANCH);
	// after branch add a placeholder for the final end of the if
	// it will be resolved in the if/else/endif statement, push the
	// location of this location on the iftable
	checkByteMem(sizeof(int));
	newIf(byteOffset, linenumber, IFTABLETYPEIF);
	byteOffset += sizeof(int);
	}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 816 "basicParse.y"
    { addIntOp(OP_STRARRAYASSIGN, (yyvsp[(1) - (6)].number)); }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 817 "basicParse.y"
    { addIntOp(OP_STRARRAYASSIGN2D, (yyvsp[(1) - (8)].number)); }
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 818 "basicParse.y"
    { addInt2Op(OP_STRARRAYLISTASSIGN, (yyvsp[(1) - (3)].number), listlen); listlen = 0; }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 819 "basicParse.y"
    { addIntOp(OP_EXPLODESTR, (yyvsp[(1) - (8)].number));}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 820 "basicParse.y"
    { addIntOp(OP_EXPLODESTR_C, (yyvsp[(1) - (10)].number)); }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 821 "basicParse.y"
    { addIntOp(OP_EXPLODEXSTR, (yyvsp[(1) - (8)].number));}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 824 "basicParse.y"
    { addIntOp(OP_ARRAYASSIGN, (yyvsp[(1) - (6)].number)); }
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 825 "basicParse.y"
    { addIntOp(OP_ARRAYASSIGN2D, (yyvsp[(1) - (8)].number)); }
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 826 "basicParse.y"
    { addInt2Op(OP_ARRAYLISTASSIGN, (yyvsp[(1) - (3)].number), listlen); listlen = 0; }
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 827 "basicParse.y"
    { addIntOp(OP_EXPLODE, (yyvsp[(1) - (8)].number));}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 828 "basicParse.y"
    { addIntOp(OP_EXPLODE_C, (yyvsp[(1) - (10)].number)); }
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 829 "basicParse.y"
    { addIntOp(OP_EXPLODEX, (yyvsp[(1) - (8)].number));}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 833 "basicParse.y"
    { addIntOp(OP_NUMASSIGN, (yyvsp[(1) - (3)].number)); }
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 836 "basicParse.y"
    { addIntOp(OP_STRINGASSIGN, (yyvsp[(1) - (3)].number)); }
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 840 "basicParse.y"
    {
		addIntOp(OP_PUSHINT, 1); //step
		addIntOp(OP_FOR, (yyvsp[(2) - (6)].number));
		// add to iftable to make sure it is not broken with an if
		// do, while, else, and to report if it is
		// next ed before end of program
		newIf(0, linenumber-1, IFTABLETYPEFOR);
	}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 849 "basicParse.y"
    {
		addIntOp(OP_FOR, (yyvsp[(2) - (8)].number));
		// add to iftable to make sure it is not broken with an if
		// do, while, else, and to report if it is
		// next ed before end of program
		newIf(0, linenumber-1, IFTABLETYPEFOR);
	}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 859 "basicParse.y"
    {
		if (numifs>0) {
			if (iftabletype[numifs-1]==IFTABLETYPEFOR) {
				addIntOp(OP_NEXT, (yyvsp[(2) - (2)].number));
				numifs--;
			} else {
				errorcode = testIfOnTableError();
				linenumber = testIfOnTable();
				return -1;
			}
		} else {
			errorcode = COMPERR_NEXT;
			return -1;
		}
	}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 876 "basicParse.y"
    { addIntOp(OP_GOTO, (yyvsp[(2) - (2)].number)); }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 879 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(2) - (2)].number)); }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 882 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(2) - (2)].number)); }
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 883 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(2) - (4)].number)); }
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 884 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(2) - (5)].number)); }
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 887 "basicParse.y"
    { addExtendedOp(OP_OFFERROR); }
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 890 "basicParse.y"
    { addIntOp(OP_ONERROR, (yyvsp[(2) - (2)].number)); }
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 893 "basicParse.y"
    { 
	if (functionDefSymbol!=-1) {
		// if we are defining a function return pushes a variable value
		addIntOp(OP_PUSHVAR, functionDefSymbol);
		addOp(OP_DECREASERECURSE);
	}
	if (subroutineDefSymbol!=-1) {
		// if we are defining a rubroutine
		addOp(OP_DECREASERECURSE);
	}
	addOp(OP_RETURN);
 }
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 907 "basicParse.y"
    { addOp(OP_SETCOLORRGB); }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 908 "basicParse.y"
    { addOp(OP_SETCOLORRGB); }
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 909 "basicParse.y"
    { addOp(OP_SETCOLORINT); }
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 912 "basicParse.y"
    { addIntOp(OP_SOUND_ARRAY, (yyvsp[(3) - (4)].number)); }
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 913 "basicParse.y"
    { addIntOp(OP_SOUND_ARRAY, (yyvsp[(2) - (2)].number)); }
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 914 "basicParse.y"
    { addIntOp(OP_SOUND_LIST, listlen); listlen=0; }
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 915 "basicParse.y"
    { addOp(OP_SOUND); }
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 916 "basicParse.y"
    { addOp(OP_SOUND); }
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 919 "basicParse.y"
    { addOp(OP_PLOT); }
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 920 "basicParse.y"
    { addOp(OP_PLOT); }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 923 "basicParse.y"
    { addOp(OP_LINE); }
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 924 "basicParse.y"
    { addOp(OP_LINE); }
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 928 "basicParse.y"
    { addOp(OP_CIRCLE); }
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 929 "basicParse.y"
    { addOp(OP_CIRCLE); }
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 932 "basicParse.y"
    { addOp(OP_RECT); }
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 933 "basicParse.y"
    { addOp(OP_RECT); }
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 936 "basicParse.y"
    { addOp(OP_TEXT); }
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 937 "basicParse.y"
    { addOp(OP_TEXT); }
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 938 "basicParse.y"
    { addOp(OP_TEXT); }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 939 "basicParse.y"
    { addOp(OP_TEXT); }
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 942 "basicParse.y"
    { addOp(OP_FONT); }
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 943 "basicParse.y"
    { addOp(OP_FONT); }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 946 "basicParse.y"
    { addOp(OP_SAY); }
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 947 "basicParse.y"
    { addOp(OP_SAY); }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 950 "basicParse.y"
    { addOp(OP_SYSTEM); }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 953 "basicParse.y"
    { addOp(OP_VOLUME); }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 956 "basicParse.y"
    { addIntOp(OP_POLY, (yyvsp[(2) - (2)].number)); }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 957 "basicParse.y"
    { addIntOp(OP_POLY, (yyvsp[(3) - (4)].number)); }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 958 "basicParse.y"
    { addIntOp(OP_POLY_LIST, listlen); listlen=0; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 961 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 0); addIntOp(OP_STAMP, (yyvsp[(8) - (8)].number)); }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 962 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 0); addIntOp(OP_STAMP, (yyvsp[(9) - (10)].number)); }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 963 "basicParse.y"
    { addIntOp(OP_STAMP_S_LIST, listlen); listlen=0; }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 964 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 1); addFloatOp(OP_PUSHFLOAT, 0); addIntOp(OP_STAMP, (yyvsp[(6) - (6)].number)); }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 965 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 1); addFloatOp(OP_PUSHFLOAT, 0); addIntOp(OP_STAMP, (yyvsp[(7) - (8)].number)); }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 966 "basicParse.y"
    { addIntOp(OP_STAMP_LIST, listlen); listlen=0; }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 967 "basicParse.y"
    { addIntOp(OP_STAMP, (yyvsp[(10) - (10)].number)); }
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 968 "basicParse.y"
    { addIntOp(OP_STAMP, (yyvsp[(11) - (12)].number)); }
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 969 "basicParse.y"
    { addIntOp(OP_STAMP_SR_LIST, listlen); listlen=0; }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 972 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP); addOp(OP_OPEN); }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 973 "basicParse.y"
    { addOp(OP_OPEN); }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 974 "basicParse.y"
    { addOp(OP_OPEN); }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 977 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP); addOp(OP_WRITE); }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 978 "basicParse.y"
    { addOp(OP_WRITE); }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 979 "basicParse.y"
    { addOp(OP_WRITE); }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 982 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP); addOp(OP_WRITELINE); }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 983 "basicParse.y"
    { addOp(OP_WRITELINE); }
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 984 "basicParse.y"
    { addOp(OP_WRITELINE); }
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 987 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_CLOSE); }
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 988 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_CLOSE); }
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 989 "basicParse.y"
    { addOp(OP_CLOSE); }
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 992 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_RESET); }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 993 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_RESET); }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 994 "basicParse.y"
    { addOp(OP_RESET); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 997 "basicParse.y"
    {addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP);addOp(OP_SEEK); }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 998 "basicParse.y"
    { addOp(OP_SEEK); }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 999 "basicParse.y"
    { addOp(OP_SEEK); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1002 "basicParse.y"
    { addIntOp(OP_STRINGASSIGN, (yyvsp[(3) - (3)].number)); }
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1003 "basicParse.y"
    { addOp(OP_STACKSWAP); addIntOp(OP_STRARRAYASSIGN, (yyvsp[(3) - (6)].number)); }
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1004 "basicParse.y"
    { addIntOp(OP_NUMASSIGN, (yyvsp[(3) - (3)].number)); }
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1005 "basicParse.y"
    { addOp(OP_STACKSWAP); addIntOp(OP_ARRAYASSIGN, (yyvsp[(3) - (6)].number)); }
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1006 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_STRINGASSIGN, (yyvsp[(2) - (2)].number)); }
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1007 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_STRARRAYASSIGN, (yyvsp[(2) - (5)].number)); }
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1008 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_STRARRAYASSIGN2D, (yyvsp[(2) - (7)].number)); }
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1009 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_NUMASSIGN, (yyvsp[(2) - (2)].number)); }
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1010 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_ARRAYASSIGN, (yyvsp[(2) - (5)].number)); }
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1011 "basicParse.y"
    { addOp(OP_INPUT); addIntOp(OP_ARRAYASSIGN2D, (yyvsp[(2) - (7)].number)); }
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1014 "basicParse.y"
    { addOp(OP_PRINT);  addOp(OP_INPUT); }
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1017 "basicParse.y"
    { addStringOp(OP_PUSHSTRING, ""); addOp(OP_PRINTN); }
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1018 "basicParse.y"
    { addOp(OP_PRINTN); }
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1019 "basicParse.y"
    { addOp(OP_PRINTN); }
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1020 "basicParse.y"
    { addOp(OP_PRINT); }
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1021 "basicParse.y"
    { addOp(OP_PRINT); }
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1024 "basicParse.y"
    {addOp(OP_WAVPLAY);  }
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1027 "basicParse.y"
    { addOp(OP_WAVSTOP); }
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1028 "basicParse.y"
    { addOp(OP_WAVSTOP); }
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1031 "basicParse.y"
    { addExtendedOp(OP_WAVWAIT); }
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1032 "basicParse.y"
    { addExtendedOp(OP_WAVWAIT); }
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1035 "basicParse.y"
    {addOp(OP_PUTSLICE);  }
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1036 "basicParse.y"
    { addOp(OP_PUTSLICE); }
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1037 "basicParse.y"
    {addOp(OP_PUTSLICEMASK);  }
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1038 "basicParse.y"
    { addOp(OP_PUTSLICEMASK); }
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1040 "basicParse.y"
    {addOp(OP_IMGLOAD);  }
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1041 "basicParse.y"
    { addOp(OP_IMGLOAD); }
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1042 "basicParse.y"
    { addOp(OP_IMGLOAD_S); }
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1043 "basicParse.y"
    { addOp(OP_IMGLOAD_S); }
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1044 "basicParse.y"
    { addOp(OP_IMGLOAD_SR); }
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1045 "basicParse.y"
    { addOp(OP_IMGLOAD_SR); }
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1048 "basicParse.y"
    { addExtendedOp(OP_SPRITEDIM); }
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1051 "basicParse.y"
    {addExtendedOp(OP_SPRITELOAD);  }
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1052 "basicParse.y"
    { addExtendedOp(OP_SPRITELOAD); }
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1055 "basicParse.y"
    {addExtendedOp(OP_SPRITESLICE);  }
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1056 "basicParse.y"
    { addExtendedOp(OP_SPRITESLICE); }
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1059 "basicParse.y"
    {addExtendedOp(OP_SPRITEPLACE);  }
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1060 "basicParse.y"
    { addExtendedOp(OP_SPRITEPLACE); }
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1063 "basicParse.y"
    {addExtendedOp(OP_SPRITEMOVE);  }
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1064 "basicParse.y"
    { addExtendedOp(OP_SPRITEMOVE); }
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1067 "basicParse.y"
    { addExtendedOp(OP_SPRITEHIDE); }
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1070 "basicParse.y"
    { addExtendedOp(OP_SPRITESHOW); }
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1073 "basicParse.y"
    {addOp(OP_CLICKCLEAR);  }
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1074 "basicParse.y"
    { addOp(OP_CLICKCLEAR); }
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1077 "basicParse.y"
    { addExtendedOp(OP_CHANGEDIR); }
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1080 "basicParse.y"
    { addExtendedOp(OP_DECIMAL); }
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1083 "basicParse.y"
    { addExtendedOp(OP_DBOPEN); }
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1086 "basicParse.y"
    { addExtendedOp(OP_DBCLOSE); }
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1087 "basicParse.y"
    { addExtendedOp(OP_DBCLOSE); }
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1090 "basicParse.y"
    { addExtendedOp(OP_DBEXECUTE); }
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1093 "basicParse.y"
    { addExtendedOp(OP_DBOPENSET); }
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1096 "basicParse.y"
    { addExtendedOp(OP_DBCLOSESET); }
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1097 "basicParse.y"
    { addExtendedOp(OP_DBCLOSESET); }
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1100 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP); addExtendedOp(OP_NETLISTEN); }
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1101 "basicParse.y"
    { addExtendedOp(OP_NETLISTEN); }
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1102 "basicParse.y"
    { addExtendedOp(OP_NETLISTEN); }
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1105 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKTOPTO2); addExtendedOp(OP_NETCONNECT); }
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1106 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKTOPTO2); addExtendedOp(OP_NETCONNECT); }
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 1107 "basicParse.y"
    { addExtendedOp(OP_NETCONNECT); }
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 1108 "basicParse.y"
    { addExtendedOp(OP_NETCONNECT); }
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 1111 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_STACKSWAP); addExtendedOp(OP_NETWRITE); }
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 1112 "basicParse.y"
    { addExtendedOp(OP_NETWRITE); }
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 1113 "basicParse.y"
    { addExtendedOp(OP_NETWRITE); }
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 1116 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETCLOSE); }
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 1117 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETCLOSE); }
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 1118 "basicParse.y"
    { addExtendedOp(OP_NETCLOSE); }
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 1121 "basicParse.y"
    { addExtendedOp(OP_KILL); }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 1122 "basicParse.y"
    { addExtendedOp(OP_KILL); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 1125 "basicParse.y"
    { addExtendedOp(OP_SETSETTING); }
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 1126 "basicParse.y"
    { addExtendedOp(OP_SETSETTING); }
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 1129 "basicParse.y"
    { addExtendedOp(OP_PORTOUT); }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 1130 "basicParse.y"
    { addExtendedOp(OP_PORTOUT); }
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 1133 "basicParse.y"
    {addStringOp(OP_PUSHSTRING, "PNG"); addExtendedOp(OP_IMGSAVE); }
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 1134 "basicParse.y"
    { addExtendedOp(OP_IMGSAVE); }
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 1135 "basicParse.y"
    { addExtendedOp(OP_IMGSAVE); }
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 1138 "basicParse.y"
    { addExtendedOp(OP_EDITVISIBLE); }
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 1141 "basicParse.y"
    { addExtendedOp(OP_GRAPHVISIBLE); }
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 1144 "basicParse.y"
    { addExtendedOp(OP_OUTPUTVISIBLE); }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 1147 "basicParse.y"
    {
	// create ops to make all of the variables listed globals
	if (numifs>0) {
		errorcode = COMPERR_GLOBALNOTHERE;
		return -1;
	}
 	int t;
	for(t=numargs-1;t>=0;t--) {
		addIntOp(OP_GLOBAL, args[t]);
	}
	numargs=0;	// clear the list for next function
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 1169 "basicParse.y"
    { listlen = 1; }
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 1170 "basicParse.y"
    { listlen++; }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 1173 "basicParse.y"
    { listlen = 1; }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 1174 "basicParse.y"
    { listlen++; }
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 1177 "basicParse.y"
    { listlen = 1; }
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 1178 "basicParse.y"
    { listlen = 1; }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 1179 "basicParse.y"
    {listlen++;}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 1183 "basicParse.y"
    { (yyval.floatnum) = (yyvsp[(2) - (3)].floatnum); }
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 1184 "basicParse.y"
    { addOp(OP_ADD); }
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 1185 "basicParse.y"
    { addOp(OP_SUB); }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 1186 "basicParse.y"
    { addOp(OP_MUL); }
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 1187 "basicParse.y"
    { addOp(OP_MOD); }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 1188 "basicParse.y"
    { addOp(OP_INTDIV); }
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 1189 "basicParse.y"
    { addOp(OP_DIV); }
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 1190 "basicParse.y"
    { addOp(OP_EX); }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 1191 "basicParse.y"
    { addExtendedOp(OP_BINARYOR); }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 1192 "basicParse.y"
    { addExtendedOp(OP_BINARYAND); }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 1193 "basicParse.y"
    { addExtendedOp(OP_BINARYNOT); }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 1194 "basicParse.y"
    { addOp(OP_NEGATE); }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 1195 "basicParse.y"
    {addOp(OP_AND); }
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 1196 "basicParse.y"
    { addOp(OP_OR); }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 1197 "basicParse.y"
    { addOp(OP_XOR); }
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 1198 "basicParse.y"
    { addOp(OP_NOT); }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 1199 "basicParse.y"
    { addOp(OP_EQUAL); }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 1200 "basicParse.y"
    { addOp(OP_NEQUAL); }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 1201 "basicParse.y"
    { addOp(OP_LT); }
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 1202 "basicParse.y"
    { addOp(OP_GT); }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 1203 "basicParse.y"
    { addOp(OP_GTE); }
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 1204 "basicParse.y"
    { addOp(OP_LTE); }
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 1205 "basicParse.y"
    { addOp(OP_EQUAL); }
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 1206 "basicParse.y"
    { addOp(OP_NEQUAL); }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 1207 "basicParse.y"
    { addOp(OP_LT); }
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 1208 "basicParse.y"
    { addOp(OP_GT); }
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 1209 "basicParse.y"
    { addOp(OP_GTE); }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 1210 "basicParse.y"
    { addOp(OP_LTE); }
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 1211 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, (yyvsp[(1) - (1)].floatnum)); }
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 1212 "basicParse.y"
    { addIntOp(OP_PUSHINT, (yyvsp[(1) - (1)].number)); }
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 1213 "basicParse.y"
    { addIntOp(OP_ALEN, (yyvsp[(1) - (4)].number)); }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 1214 "basicParse.y"
    { addIntOp(OP_ALEN, (yyvsp[(1) - (4)].number)); }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 1215 "basicParse.y"
    { addIntOp(OP_ALENX, (yyvsp[(1) - (5)].number)); }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 1216 "basicParse.y"
    { addIntOp(OP_ALENX, (yyvsp[(1) - (5)].number)); }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 1217 "basicParse.y"
    { addIntOp(OP_ALENY, (yyvsp[(1) - (5)].number)); }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 1218 "basicParse.y"
    { addIntOp(OP_ALENY, (yyvsp[(1) - (5)].number)); }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 1219 "basicParse.y"
    { addIntOp(OP_DEREF, (yyvsp[(1) - (4)].number)); }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 1220 "basicParse.y"
    { addIntOp(OP_DEREF2D, (yyvsp[(1) - (6)].number)); }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 1221 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(1) - (4)].number)); }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 1222 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(1) - (3)].number)); }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 1224 "basicParse.y"
    {
		if ((yyvsp[(1) - (1)].number) < 0) {
			return -1;
		} else {
			addIntOp(OP_PUSHVAR, (yyvsp[(1) - (1)].number));
		}
	}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 1231 "basicParse.y"
    { addOp(OP_INT); }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 1232 "basicParse.y"
    { addOp(OP_INT); }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 1233 "basicParse.y"
    { addOp(OP_FLOAT); }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 1234 "basicParse.y"
    { addOp(OP_FLOAT); }
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 1235 "basicParse.y"
    { addOp(OP_LENGTH); }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 1236 "basicParse.y"
    { addOp(OP_ASC); }
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 1237 "basicParse.y"
    { addOp(OP_INSTR); }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 1238 "basicParse.y"
    { addOp(OP_INSTR_S); }
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 1239 "basicParse.y"
    { addOp(OP_INSTR_SC); }
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 1240 "basicParse.y"
    { addOp(OP_INSTRX); }
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 1241 "basicParse.y"
    { addOp(OP_INSTRX_S); }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 1242 "basicParse.y"
    { addOp(OP_CEIL); }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 1243 "basicParse.y"
    { addOp(OP_FLOOR); }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 1244 "basicParse.y"
    { addOp(OP_SIN); }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 1245 "basicParse.y"
    { addOp(OP_COS); }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 1246 "basicParse.y"
    { addOp(OP_TAN); }
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 1247 "basicParse.y"
    { addOp(OP_ASIN); }
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 1248 "basicParse.y"
    { addOp(OP_ACOS); }
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 1249 "basicParse.y"
    { addOp(OP_ATAN); }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 1250 "basicParse.y"
    { addOp(OP_DEGREES); }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 1251 "basicParse.y"
    { addOp(OP_RADIANS); }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 1252 "basicParse.y"
    { addOp(OP_LOG); }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 1253 "basicParse.y"
    { addOp(OP_LOGTEN); }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 1254 "basicParse.y"
    { addOp(OP_SQR); }
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 1255 "basicParse.y"
    { addOp(OP_EXP); }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 1256 "basicParse.y"
    { addOp(OP_ABS); }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 1257 "basicParse.y"
    { addOp(OP_RAND); }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 1258 "basicParse.y"
    { addOp(OP_RAND); }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 1259 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 3.14159265); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 1260 "basicParse.y"
    { addFloatOp(OP_PUSHFLOAT, 3.14159265); }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 1261 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 1262 "basicParse.y"
    { addIntOp(OP_PUSHINT, 1); }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 1263 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 1264 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 1265 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_EOF); }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 1266 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_EOF); }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 1267 "basicParse.y"
    { addOp(OP_EOF); }
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 1268 "basicParse.y"
    { addOp(OP_EXISTS); }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 1269 "basicParse.y"
    { addOp(OP_YEAR); }
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 1270 "basicParse.y"
    { addOp(OP_YEAR); }
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 1271 "basicParse.y"
    { addOp(OP_MONTH); }
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 1272 "basicParse.y"
    { addOp(OP_MONTH); }
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 1273 "basicParse.y"
    { addOp(OP_DAY); }
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 1274 "basicParse.y"
    { addOp(OP_DAY); }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 1275 "basicParse.y"
    { addOp(OP_HOUR); }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 1276 "basicParse.y"
    { addOp(OP_HOUR); }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 1277 "basicParse.y"
    { addOp(OP_MINUTE); }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 1278 "basicParse.y"
    { addOp(OP_MINUTE); }
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 1279 "basicParse.y"
    { addOp(OP_SECOND); }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 1280 "basicParse.y"
    { addOp(OP_SECOND); }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 1281 "basicParse.y"
    { addOp(OP_GRAPHWIDTH); }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 1282 "basicParse.y"
    { addOp(OP_GRAPHWIDTH); }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 1283 "basicParse.y"
    { addOp(OP_GRAPHHEIGHT); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 1284 "basicParse.y"
    { addOp(OP_GRAPHHEIGHT); }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 1285 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_SIZE); }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 1286 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_SIZE); }
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 1287 "basicParse.y"
    { addOp(OP_SIZE); }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 1288 "basicParse.y"
    { addOp(OP_KEY); }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 1289 "basicParse.y"
    { addOp(OP_KEY); }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 1290 "basicParse.y"
    { addOp(OP_MOUSEX); }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 1291 "basicParse.y"
    { addOp(OP_MOUSEX); }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 1292 "basicParse.y"
    { addOp(OP_MOUSEY); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 1293 "basicParse.y"
    { addOp(OP_MOUSEY); }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 1294 "basicParse.y"
    { addOp(OP_MOUSEB); }
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 1295 "basicParse.y"
    { addOp(OP_MOUSEB); }
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 1296 "basicParse.y"
    { addOp(OP_CLICKX); }
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 1297 "basicParse.y"
    { addOp(OP_CLICKX); }
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 1298 "basicParse.y"
    { addOp(OP_CLICKY); }
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 1299 "basicParse.y"
    { addOp(OP_CLICKY); }
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 1300 "basicParse.y"
    { addOp(OP_CLICKB); }
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 1301 "basicParse.y"
    { addOp(OP_CLICKB); }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 1302 "basicParse.y"
    { addIntOp(OP_PUSHINT, -1); }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 1303 "basicParse.y"
    { addIntOp(OP_PUSHINT, -1); }
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 1304 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x000000); }
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 1305 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x000000); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 1306 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xf8f8f8); }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 1307 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xf8f8f8); }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 1308 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff0000); }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 1309 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff0000); }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 1310 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x800000); }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 1311 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x800000); }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 1312 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x00ff00); }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 1313 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x00ff00); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 1314 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x008000); }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 1315 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x008000); }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 1316 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x0000ff); }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 1317 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x0000ff); }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 1318 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x000080); }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 1319 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x000080); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 1320 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x00ffff); }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 1321 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x00ffff); }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 1322 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x008080); }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 1323 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x008080); }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 1324 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff00ff); }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 1325 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff00ff); }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 1326 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x800080); }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 1327 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x800080); }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 1328 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xffff00); }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 1329 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xffff00); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 1330 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x808000); }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 1331 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x808000); }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 1332 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff6600); }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 1333 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xff6600); }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 1334 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xaa3300); }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 1335 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xaa3300); }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 1336 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xa4a4a4); }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 1337 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0xa4a4a4); }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 1338 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x808080); }
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 1339 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0x808080); }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 1340 "basicParse.y"
    { addOp(OP_PIXEL); }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 1341 "basicParse.y"
    { addOp(OP_RGB); }
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 1342 "basicParse.y"
    { addOp(OP_GETCOLOR); }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 1343 "basicParse.y"
    { addOp(OP_GETCOLOR); }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 1344 "basicParse.y"
    { addExtendedOp(OP_SPRITECOLLIDE); }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 1345 "basicParse.y"
    { addExtendedOp(OP_SPRITEX); }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 1346 "basicParse.y"
    { addExtendedOp(OP_SPRITEY); }
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 1347 "basicParse.y"
    { addExtendedOp(OP_SPRITEH); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 1348 "basicParse.y"
    { addExtendedOp(OP_SPRITEW); }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 1349 "basicParse.y"
    { addExtendedOp(OP_SPRITEV); }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 1350 "basicParse.y"
    { addExtendedOp(OP_DBROW); }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 1351 "basicParse.y"
    { addExtendedOp(OP_DBINT); }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 1352 "basicParse.y"
    { addExtendedOp(OP_DBFLOAT); }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 1353 "basicParse.y"
    { addExtendedOp(OP_LASTERROR); }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 1354 "basicParse.y"
    { addExtendedOp(OP_LASTERROR); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 1355 "basicParse.y"
    { addExtendedOp(OP_LASTERRORLINE); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 1356 "basicParse.y"
    { addExtendedOp(OP_LASTERRORLINE); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 1357 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETDATA); }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 1358 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETDATA); }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 1359 "basicParse.y"
    { addExtendedOp(OP_NETDATA); }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 1360 "basicParse.y"
    { addExtendedOp(OP_PORTIN); }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 1361 "basicParse.y"
    { addExtendedOp(OP_COUNT); }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 1362 "basicParse.y"
    { addExtendedOp(OP_COUNT_C); }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 1363 "basicParse.y"
    { addExtendedOp(OP_COUNTX); }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 1364 "basicParse.y"
    { addExtendedOp(OP_OSTYPE); }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 1365 "basicParse.y"
    { addExtendedOp(OP_OSTYPE); }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 1366 "basicParse.y"
    { addExtendedOp(OP_MSEC); }
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 1367 "basicParse.y"
    { addExtendedOp(OP_MSEC); }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 1368 "basicParse.y"
    { addExtendedOp(OP_TEXTWIDTH); }
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 1373 "basicParse.y"
    { (yyval.string) = (yyvsp[(2) - (3)].string); }
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 1374 "basicParse.y"
    { addOp(OP_CONCAT); }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 1375 "basicParse.y"
    { addOp(OP_CONCAT); }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 1376 "basicParse.y"
    { addOp(OP_CONCAT); }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 1377 "basicParse.y"
    { addStringOp(OP_PUSHSTRING, (yyvsp[(1) - (1)].string)); }
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 1378 "basicParse.y"
    { addIntOp(OP_DEREF, (yyvsp[(1) - (4)].number)); }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 1379 "basicParse.y"
    { addIntOp(OP_DEREF2D, (yyvsp[(1) - (6)].number)); }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 1380 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(1) - (4)].number)); }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 1381 "basicParse.y"
    { addIntOp(OP_GOSUB, (yyvsp[(1) - (3)].number)); }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 1383 "basicParse.y"
    {
		if ((yyvsp[(1) - (1)].number) < 0) {
			return -1;
		} else {
			addIntOp(OP_PUSHVAR, (yyvsp[(1) - (1)].number));
		}
	}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 1390 "basicParse.y"
    { addOp(OP_CHR); }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 1391 "basicParse.y"
    { addOp(OP_STRING); }
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 1392 "basicParse.y"
    { addOp(OP_UPPER); }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 1393 "basicParse.y"
    { addOp(OP_LOWER); }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 1394 "basicParse.y"
    { addOp(OP_MID); }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 1395 "basicParse.y"
    { addOp(OP_LEFT); }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 1396 "basicParse.y"
    { addOp(OP_RIGHT); }
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 1397 "basicParse.y"
    { addOp(OP_GETSLICE); }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 1398 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_READ); }
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 1399 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_READ); }
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 1400 "basicParse.y"
    { addOp(OP_READ); }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 1401 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_READLINE); }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 1402 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addOp(OP_READLINE); }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 1403 "basicParse.y"
    { addOp(OP_READLINE); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 1404 "basicParse.y"
    { addExtendedOp(OP_CURRENTDIR); }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 1405 "basicParse.y"
    { addExtendedOp(OP_CURRENTDIR); }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 1406 "basicParse.y"
    { addExtendedOp(OP_DBSTRING); }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 1407 "basicParse.y"
    { addExtendedOp(OP_LASTERRORMESSAGE); }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 1408 "basicParse.y"
    { addExtendedOp(OP_LASTERRORMESSAGE); }
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 1409 "basicParse.y"
    { addExtendedOp(OP_LASTERROREXTRA); }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 1410 "basicParse.y"
    { addExtendedOp(OP_LASTERROREXTRA); }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 1411 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETREAD); }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 1412 "basicParse.y"
    { addIntOp(OP_PUSHINT, 0); addExtendedOp(OP_NETREAD); }
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 1413 "basicParse.y"
    { addExtendedOp(OP_NETREAD); }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 1414 "basicParse.y"
    { addExtendedOp(OP_NETADDRESS); }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 1415 "basicParse.y"
    { addExtendedOp(OP_NETADDRESS); }
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 1416 "basicParse.y"
    { addExtendedOp(OP_MD5); }
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 1417 "basicParse.y"
    { addExtendedOp(OP_GETSETTING); }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 1418 "basicParse.y"
    { addExtendedOp(OP_DIR); }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 1419 "basicParse.y"
    { addStringOp(OP_PUSHSTRING, ""); addExtendedOp(OP_DIR); }
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 1420 "basicParse.y"
    { addExtendedOp(OP_REPLACE); }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 1421 "basicParse.y"
    { addExtendedOp(OP_REPLACE_C); }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 1422 "basicParse.y"
    { addExtendedOp(OP_REPLACEX); }
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 1423 "basicParse.y"
    {  addStringOp(OP_PUSHSTRING, ""); addIntOp(OP_IMPLODE, (yyvsp[(3) - (4)].number)); }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 1424 "basicParse.y"
    {  addIntOp(OP_IMPLODE, (yyvsp[(3) - (6)].number)); }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 1425 "basicParse.y"
    {  addStringOp(OP_PUSHSTRING, ""); addIntOp(OP_IMPLODE, (yyvsp[(3) - (4)].number)); }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 1426 "basicParse.y"
    {  addIntOp(OP_IMPLODE, (yyvsp[(3) - (6)].number)); }
    break;



/* Line 1806 of yacc.c  */
#line 10365 "basicParse.tab.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 1430 "basicParse.y"


int
yyerror(const char *msg) {
	errorcode = COMPERR_SYNTAX;
	if (yytext[0] == '\n') { linenumber--; } // error happened on previous line
	return -1;
}

